var app = new Vue({
	el: "#app",
	data: {
		log_list: [],
		pages: 1,
		count: 18
	},
	watch: {
		log_list: function() {
			mui.init({
				pullRefresh: {
					container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
					up: {
						auto: false, //可选,默认false.首次加载自动上拉刷新一次
						contentnomore: '我是有底线的！',
						callback: function() {
							app.pages++
								app.GetUserLogInfo(function(r) {
									mui.toast('为您加载了' + r.log_list.length + '条记录', {
										duration: 'long',
										type: 'div'
									});
									app.log_list = app.log_list.concat(r.log_list);
									mui('#refreshContainer').pullRefresh().endPullupToRefresh(!(app.pages < (r.count / app.pages)));
									console.log($("#app").html());
								})
						}
					}
				}
			});
		}
	},
	mounted: function() {
		this.$nextTick(function() {

			

			app.GetUserLogInfo(function(r) {
				console.log(JSON.stringify(r));
				app.log_list = r.log_list;

				mui.plusReady(function() {
					var wvB = plus.webview.currentWebview();
					var wvA = wvB.opener();
					wvA.evalJS("showaddress('" + r.count + "')");
				});

			})

		})
	},
	methods: {
		GetUserLogInfo: function(callback) {
			ajax("Calendar.ashx?m=GetUserLogInfo", {
				pages: app.pages,
				count: app.count,
				type: localStorage.typex
			}, "", callback)
		}
	}
});