$(function() {
	PageInit();
})

function PageInit() {

	ajax("Calendar.ashx?m=GetUserLogPageInfo", "", "", function(r) {
		highChartView(r);
	})

}

function highChartView(data) {

	$('#container').highcharts({
		chart: {
			type: 'bar'
		},
		exporting: {
			enabled: false
		},
		title: {
			text: '用户登陆统计图'
		},
		xAxis: {
			categories: ['已登录人数', '未登录人数', 'IOS登录', 'Android登录', '电脑登录'],
			title: {
				text: null
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: '人数'
			}
		},
		legend: {
			reversed: true
		},
		plotOptions: {
			series: {
				stacking: 'Line',
				showInLegend: false,
				events: {
					click: function(e) {
						localStorage.typex = e.point.x;
						mui.openWindow('../../Html/head/Head-calendar_list.html', 'Head-calendar_list');
					}
				}
			}
		},
		series: [{
			name: '类别',
			data: [
				['已登录人数', data[0].YDL],
				['未登录人数', data[0].WDL],
				['IOS登录', data[0].ios],
				['Android登录', data[0].Android],
				['电脑登录', data[0].Computer],
			]
		}]
	});

	//	console.log(JSON.stringify(data));
	//  $('#container').highcharts({
	//      chart: {
	//          type: 'column'
	//      },
	//      title: {
	//          text: '用户登录统计图'
	//      },
	//      xAxis: {
	//          type: 'category',
	//          labels: {
	//              style: {
	//                  fontSize: '13px',
	//                  fontFamily: 'Verdana, sans-serif'
	//              }
	//          }
	//      },
	//      yAxis: {
	//          min: 0,
	//          title: {
	//              text: '人数'
	//          }
	//      },
	//      legend: {
	//          enabled: false
	//      },
	//      tooltip: {
	//          pointFormat: '类别: <b>{point.y} 人</b>'
	//      },
	//      series: [{
	//          name: '类别',
	//          data: [
	//              ['已登录人数', data[0].YDL],
	//              ['未登录人数', data[0].WDL],
	//              ['IOS登录', data[0].ios],
	//              ['Android登录', data[0].Android],
	//              ['电脑登录', data[0].Computer],
	//          ]
	//      }]
	//  });
}