mui.init();
mui.plusReady(function() {
	GetSchedulelist();
})

//获取学期 年级 班级 排课
function GetSchedulelist() {
	var GetData = {};
	GetData.GUID = localStorage.GUID; //当前用户ID
	
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Attendance.ashx", GetData, "IGetAdminativeByUid");
	}
}

//渲染选择器
function IGetAdminativeByUid(data) {

	var htmls = "";
	
	for(i = 0; i < data.info_list.length; i++) {
		var p_Reason,p_Remark;
		 var num = parseFloat(data.info_list[i].p_SouthAttendance) + parseFloat(data.info_list[i].p_NorthAttendance);
         if(data.info_list[i].p_Reason == null){
         	p_Reason = "暂无数据";
         }
         else{
         	p_Reason = data.info_list[i].p_Reason;
         }
         
          if(data.info_list[i].p_Remark == null){
         	p_Remark = "暂无数据";
         }
          else{
          	p_Remark = data.info_list[i].p_Remark;
          }
         
         
         
		html = html.format(i + 1);
		html1 = html1.format(
			data.info_list[i].p_SouthAttendance,
			data.info_list[i].p_NorthAttendance,
			num.toFixed(2),
			data.info_list[i].p_ActualCount,
			data.info_list[i].p_MachineCount,
			p_Reason,
			p_Remark
		);
		htmls += html + html1;
	}

	$("#hide_div").html(htmls);

}

var html = '<div class="aui-content aui-margin-b-15"><ul class="aui-list aui-list-in"><li class="aui-list-header">第{0}周</li>'

var html1 = '<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">南区出勤率</div>' +
	'<div class="aui-list-item-right">{0}</div>' +
	'</div></li>' +
	'<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">北区出勤率</div>' +
	'<div class="aui-list-item-right">{1}</div>' +
	'</div></li>' +
	'<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">总出勤率</div>' +
	'<div class="aui-list-item-right">{2}</div>' +
	'</div></li>' +
	'<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">实际缺勤次数</div>' +
	'<div class="aui-list-item-right">{3}</div>' +
	'</div></li>' +
	'<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">原因</div>' +
	'<div class="aui-list-item-right">{4}</div>' +
	'</div></li>' +
	'<li class="aui-list-item"><div class="aui-list-item-inner">' +
	'<div class="aui-list-item-title">备注</div>' +
	'<div class="aui-list-item-right">{5}</div>' +
	'</div></li>'


