/*
 * wx 2015-11-30请假老师端主页面列表JS
 */
mui.init();
mui.plusReady(function() {
	LoadTab();
	Seedetails();
	//阻尼系数
	var deceleration = mui.os.ios ? 0.002 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
})

var start = 0,
	end = 10,
	start1 = 0,
	end1 = 10,
	start2 = 0,
	end2 = 10; //分页初始化
var isDown = true; //用于区分上拉下拉
var ymindex = 0; //页面索引
var ismain = true;

//加载选项卡滑动操作
function LoadTab() {
	GetLeaveList('dsh'); //获取待审核数据
	var item2Show = false,
		item3Show = false; //子选项卡是否显示标志
	var dsh = "",
		ytg = "",
		wtg = ""; //存储各页面的html
	document.querySelector('.mui-slider').addEventListener('slide', function(event) {
		if(event.detail.slideNumber === 1 && !item2Show) {
			//切换到第二个选项卡
			//根据具体业务，动态获得第二个选项卡内容；
			//显示内容
			ymindex = 1;
			GetLeaveList('ytg'); //获取已通过列表数据
			//改变标志位，下次直接显示
			item2Show = true;

		} else if(event.detail.slideNumber === 2 && !item3Show) {
			//切换到第三个选项卡
			//根据具体业务，动态获得第三个选项卡内容；
			//显示内容
			ymindex = 2;
			GetLeaveList('wtg'); //获取未通过列表数据
			//改变标志位，下次直接显示
			item3Show = true;
		}
	});
}


//根据类型获取相应的数据 type:待审核(dsh) 已通过(ytg)  未通过(wtg)
function GetLeaveList(type) {
	var GetData = {};
	GetData.Uid = localStorage.GUID;
	if(type == 'dsh') {
		GetData.start = start;
		GetData.end = end;
	} else if(type == 'ytg') {
		GetData.start = start1;
		GetData.end = end1;
	} else if(type == 'wtg') {
		GetData.start = start2;
		GetData.end = end2;
	}
	GetData.type = type;
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Leave.ashx", GetData, "IGetLeaveListByType");
	}
}

//渲染获取的数据到页面
function IGetLeaveListByType(data) {
	var HtmlStr = "";
	var HtmlLeave = "";
	if(ymindex == 0) {
		HtmlLeave = $("#daishenhe").html();
	} else if(ymindex == 1) {
		HtmlLeave = $("#yitongguo").html();
	} else if(ymindex == 2) {
		HtmlLeave = $("#weitongguo").html();
	}
	if(data == "") {
		return mui.toast('没有新的请假信息!');
	}
	if(isDown) {
		HtmlLeave = "";
	}
	var ztys; //状态颜色
	var firstWord;
	$(data).each(function(i) {
		firstWord = GetFirstWord(data[i].leavename); //获取第一个字
		if(firstWord == '病') {
			ztys = 'bingjia_color';
		} else if(firstWord == '事') {
			ztys = 'shijia_color';
		} else if(firstWord == '产') {
			ztys = 'chanjia_color';
		} else if(firstWord = '工') {
			ztys = 'gongshangjia_color';
		}
		HtmlStr = HtmlStr + LeaveHtml.format(
			data[i].leavename,
			data[i].f_Starttime,
			data[i].f_Endtime,
			data[i].reason,
			firstWord,
			ztys,
			data[i].zt //数据状态
		);
	});
	if(ymindex == 0) {
		document.getElementById("daishenhe").innerHTML = HtmlLeave + HtmlStr;
		start += 10;
		end += 10;
	} else if(ymindex == 1) {
		document.getElementById("yitongguo").innerHTML = HtmlLeave + HtmlStr;
		start1 += 10;
		end1 += 10;
	} else if(ymindex == 2) {
		document.getElementById("weitongguo").innerHTML = HtmlLeave + HtmlStr;
		start2 += 10;
		end2 += 10;
	}
}

//上拉刷新  下拉加载
(function($) {
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropDown(index);
							isDown = true;
							self.endPullDownToRefresh();
						}, 1000);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropUp(index);
							isDown = false;
							self.endPullUpToRefresh();
						}, 1000);
					}
				}
			});
		});
	});
})(mui);

//下拉刷新  
function dropDown(index) {
	if(index == 0) {
		$("#daishenhe").html();
		start = 0;
		end = 10;
		ymindex = 0;
		GetLeaveList('dsh');
	} else if(index == 1) {
		$("#yitongguo").html();
		start1 = 0;
		end1 = 10;
		ymindex = 1;
		GetLeaveList('ytg');
	} else if(index == 2) {
		$("#weitongguo").html();
		start2 = 0;
		end2 = 10;
		ymindex = 2;
		GetLeaveList('wtg');
	}
}

//上拉加载  
function dropUp(index) {
	if(index == 0) {
		ymindex = 0;
		GetLeaveList('dsh');
	} else if(index == 1) {
		ymindex = 1;
		GetLeaveList('ytg');
	} else if(index == 2) {
		ymindex = 2;
		GetLeaveList('wtg');
	}
}

var LeaveHtml = '<div class ="xian"> </div>' +
	'<li class = "mui-table-view-cell mui-media" data-title="{0}" data-date="{1}至{2}" data-mark="{3}" data-zt="{6}">' +
	'<a class="mui-navigate-right">' +
	'<span class = "yuanjiao mui-pull-left bianju iconfont">&#xe607;</span>' +
	'<div class = "mui-media-body" >' +
	'<p class = "mui-ellipsis" style = "color: #000000;">{0}<p>' +
	'<p class = "mui-ellipsis" >{1}至{2}</p>' +
	'</div></a>' +
	'</li>';

//查看详情
function Seedetails() {
	$('.mui-slider-group').on('tap', 'li', function() {
		localStorage.zt = $(this).data('zt');
		localStorage.title = $(this).data('title');
		localStorage.date = $(this).data('date');
		localStorage.mark = $(this).data('mark');
		localStorage.isSearch = '0';
		mui.openWindow('details.html', 'details.html', {
			show: {
				aniShow: 'slide-in-bottom',
				duration: 300,
			}
		});
	})
}