/*
   * 本班学生 wx 2015-12-8 21:06
   */
mui.init();
mui.plusReady(function() {
	GetPickerList();
	lookAccout();
	ResetPwd();
	wvStyle();
})

//获取年级 班级
function GetPickerList() {
	var GetData = {};
	GetData.Uid = localStorage.GUID; //当前用户id
	if (isNetwork()) {
		ajaxRequest("ashxMobile/ClassStu.ashx", GetData, "IGetGradeClass");
	}
}

//渲染选择器
function IGetGradeClass(data) {
	console.log(JSON.stringify(data));
	if (data == '') {
		return mui.toast('没有班级数据!');
	}
	var cityPicker = new mui.PopPicker({
		layer: 2
	});
	cityPicker.setData(data);
	var result = document.getElementById('result');
	var bjid = data[0].children[0].value;
	result.innerText = data[0].text + data[0].children[0].text;
	document.getElementById('showPicker').addEventListener('tap', function() {
		cityPicker.show(function(items) {
			result.innerText = (items[0] || {}).text + (items[1] || {}).text;
			bjid = items[1].value;
			//返回 false 可以阻止选择框的关闭
			return false;
			GetStudentlist(bjid); //获取当前用户所带的班级学生
		});
	});
	GetStudentlist(bjid); //获取当前用户所带的班级学生
}

//获取当前用户所带的班级学生
function GetStudentlist(ClassId) {
	var GetData = {};
	GetData.Uid = localStorage.GUID; //当前用户id
	GetData.Cid = ClassId;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/ClassStu.ashx", GetData, "IGetClassStudent");
	} else {}
}

//渲染学生信息
function IGetClassStudent(data) {
	var HtmlStr = ''
	var sex, sex_text, sex_icon = '&#xe629;';
	var top2;
	var bottom6;
	var card;
	$(data).each(function(i) {
		if (data[i].f_sex == 0) {
			sex = 'girl';
			sex_icon = '&#xe62a;';
			sex_text = '女';
		} else {
			sex = 'boy';
			sex_text = '男';
		}
		top2 = data[i].f_cardid.substr(0, 2);
		bottom6 = data[i].f_cardid.substr(-6, 6);
		card = top2 + '**' + bottom6;
		HtmlStr = HtmlStr + StudentsHtml.format(
			data[i].f_GUID, //学生id
			data[i].f_cardid, //登陆号
			data[i].f_name,
			sex,
			sex_text,
			sex_icon,
			card //缩短登陆号
		)
	});
	$('#list').html(HtmlStr);
};

//查看账号
function lookAccout() {
	$('#list').on('tap', '.loginNum', function() {
		mui.toast($(this).data('card'), 5000, 4800);
	})
}

//重置密码
function ResetPwd() {
	var newPwd, Stuid;
	$('#list').on('tap', '.resetPwd', function() {
		newPwd = $(this).data('card');
		Stuid = $(this).data('guid');
		// 弹出输入对话框
		plus.nativeUI.confirm('您是否要重置此密码?', function(e) {
			if (e.index == 0) {

			} else {
				newPwd = newPwd.substr(-6, 6); //截取身份证后六位
				SetResetPwd(Stuid, newPwd);
			}
		}, '重置密码', ["取消", "重置"]);
	})
}

//发送重置密码
function SetResetPwd(Stuid, NewPwd) {
	var SetData = {}
	SetData.Stuid = Stuid; //学生id
	SetData.NewPassword = NewPwd; //最新密码
	if (isNetwork()) {
		ajaxRequest("ashxMobile/ClassStu.ashx", SetData, "ResetStuPassword");
	}
}

//重置密码回调函数
function ResetStuPassword(data) {
	if (data.success == true) {
		mui.toast(data.msg + '!');
	} else {
		mui.toast('未知错误!请重新尝试重置密码!');
	}
}

var StudentsHtml = '<li class="mui-table-view-cell tbody">' +
	'<span class="loginNum mui-ellipsis" data-card="{1}">{6}</span>' +
	'<span class="name">{2}</span>' +
	'<span class="sex">{4}<span class="{3} iconfont">{5}</span></span>' +
	'<span class="resetPwd" data-guid="{0}" data-card="{1}" >重置</span>' +
	'</li>'