/*
 * 成绩详细 wx 2015-12-24
 */
mui.init();
mui.plusReady(function() {
	GetPageData();
})

var yindex = 0,
	main = 'main0',
	subid = '00'; //科目id

//根据页面标志获取数据内容
function GetPageData() {
	var GetData = {};
	GetData.Uid = localStorage.GUID;
	GetData.Subid = subid;
	GetData.ExamId = localStorage.examid; //考试id
	GetData.Class = localStorage.classid; //班级id
	console.log(GetData.Uid+"   "+GetData.Subid+"  "+GetData.ExamId+"  "+GetData.Class)
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Score.ashx", GetData, "IGetExamInfoByTeaSubClassExam");
	}
}

//渲染页面数据
function IGetExamInfoByTeaSubClassExam(data) {
	if (data.ds == '') {
		return mui.toast('没有数据!');
	}
	if (data.ds1 == '') {
		return mui.toast('没有数据!');
	}
	if (data.ds2 == '') {
		return mui.toast('没有数据!');
	}
	var item = [], //选项卡页面id
		subjectId = [], //科目id
		subjectName = [], //科目名称
		stuName = [], //学生姓名
		totalPoints = [], //成绩
		stuNum = [], //学生学号
		pm = [], //全部页排名
		headimg = []; //学生头像
	$(data.ds).each(function(i) {
		subjectId.push(data.ds[i].f_SubJectId);
		subjectName.push(data.ds[i].f_SubJectName);
		item.push('item' + i + 'mobile');
	})

	$(data.ds2).each(function(i) {
		headimg.push(data.ds2[i].f_img.replace(/\//g, '-').replace(/\---/g, '/'));
		stuName.push(data.ds2[i].StuName);
		totalPoints.push(data.ds2[i].TotalPoints);
		stuNum.push(data.ds2[i].StuNumber);
		pm.push(data.ds2[i].PM);
	})
	var ndata = {
		'main': main,
		'subjectId': subjectId,
		'subjectName': subjectName,
		'item': item
	};
	var localUrl = localStorage.RequestUrl.replace(/\/$/, '');
	var cdata = {
		'name': data.ds1[0].f_Name, //考试名称
		'pnum': data.ds1[0].YKCount, //班级总人数
		'ranking': data.ds1[0].PM, //排名
		'fulllmark': data.ds1[0].f_Out, //满分
		'max': data.ds1[0].maxScore, //最高分
		'min': data.ds1[0].minScore, //最低分
		'avg': data.ds1[0].AvgScore, //平均分
		'stuName': stuName,
		'totalPoints': totalPoints,
		'stuNum': stuNum,
		'pm': pm,
		'localUrl': localUrl,
		'headimg': headimg
	};
	var bt = baidu.template;
	var shtml = bt('subjectResult', ndata);
	var chtml = bt('contentResult', cdata);
	//渲染
	var cid = 'item' + yindex + 'mobile'; //要插入的页面id
	if (!document.getElementById("sliderSegmentedControl")) {
		document.getElementById('AllResult').innerHTML = shtml;
		mui(".mui-slider").slider(); //选项卡初始化(动态加载必须)
		LoadTab(subjectName.length, subjectId);
	};
	setTimeout(function() {
		document.getElementById(cid).innerHTML = chtml;
		//阻尼系数
		var deceleration = mui.os.ios ? 0.003 : 0.0009;
		mui('.mui-scroll-wrapper').scroll({
			bounce: true,
			indicators: false, //是否显示滚动条
			deceleration: deceleration
		});
		chartBar(data.ds3);
		Jump();
	}, 200);
}

//柱状图
function chartBar(bardata) {
	// 基于准备好的dom，初始化echarts实例
	var myChart = echarts.init(document.getElementById(main));

	option = {
		noDataLoadingOption: {
			text: '暂无数据'
		},
		animation: true,
		color: ['#33C586', '#28A9E3', '#FFB84A', '#F04249'],
		tooltip: {
			trigger: 'item',
			formatter: "{b} : {c} ({d}%)"
		},
		calculable: false,
		series: [{
			type: 'pie',
			radius: ['50%', '70%'],
			itemStyle: {
				normal: {
					borderColor: '#D3D2D4',
					borderWidth: '2',
					label: {
						show: true,
						formatter: '{b}\n{d}%',
						textStyle: {
							align: 'center',
							fontSize: '10',
							fontStyle: 'oblique',
							fontWeight: 'bold'
						},
					},
					labelLine: {
						show: true,
						length: '5',
						lineStyle: {
							type: 'solid',
						},
					}
				},
				emphasis: {
					label: {
						show: false,
					}
				}
			},
			data: bardata
		}]
	};
	// 使用刚指定的配置项和数据显示图表。
	myChart.setOption(option);
}

//选项卡滑动操作
function LoadTab(length, subjectId) {
	var vars = [true];
	var i = 0;
	for (i; i < length; i++) {
		vars.push(false);
	}
	document.getElementById("slider").addEventListener('slide', function(e) {
		yindex = e.detail.slideNumber; //获取当前选择的选项卡索引值
		subid = subjectId[yindex];
		main = 'main' + yindex;
		$('#' + main).attr('id', main);
		if (vars[yindex] == false) {
			GetPageData();
			vars[yindex] = true;
		}
	});
}

//跳转
function Jump() {
	$('.PersonScore').on('tap', function() {
		localStorage.stuNum = $(this).find('input').val();
		if (localStorage.stuNum.length > 1) {
			mui.openWindow('../head/Head-Scores-personDetails.html', '../head/Head-Scores-personDetails.html');
		} else {
			mui.toast('没有数据，无法查看!');
		}
	})
}