/*
 * 成绩详情 wx 2015-12-24
 */
mui.init();
mui.plusReady(function() {
	GetPersonScoreInfo();
})

//根据id获取单个学生考试详情
function GetPersonScoreInfo() {
	var GetData = {};
	GetData.StuNum = localStorage.stuNum; //'3401030600520102'
	GetData.Class = localStorage.classid;
	GetData.ExamId = localStorage.examid; //'74d8e6c3-5b82-4082-b682-f3f21abc6f07'
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Score.ashx", GetData, "IGetStuExamInfoByStuClassExam");
	}
}

//渲染考试详情
function IGetStuExamInfoByStuClassExam(data) {
	if (data.ds == '') {
		return mui.toast('没有数据加载!');
	}
	var km = [], //科目
		fs = [], //分数
		njpm = [], //年级排名
		bjpm = [], //班级排名
		jb = [];
	$(data.ds1).each(function(i) {
		if (data.ds1[i].KM != 0) {
			km.push(data.ds1[i].KM);
			fs.push(data.ds1[i].MY);
			njpm.push(data.ds1[i].NJPM);
			bjpm.push(data.ds1[i].BJPM);
			jb.push(data.ds1[i].JB);
		}
	});
	var localUrl = localStorage.RequestUrl.replace(/\/$/, '');
	var pdata = {
		'name': data.ds[0].f_name, //姓名
		'zdf': data.ds[0].ZDF, //总得分
		'bjmc': data.ds[0].BJPM, //班级名次
		'njmc': data.ds[0].NJPM, //年级名次
		'njzrs': data.ds[0].NJZRS, //年级总人数
		'bjzrs': data.ds[0].BJZRS, //班级总人数
		'km': km,
		'fs': fs,
		'njpm': njpm,
		'bjpm': bjpm,
		'jb': jb,
		'f_img': data.ds[0].f_img,
		'headimg': localUrl + data.ds[0].f_img.replace(/\//g, '-').replace(/\---/g, '/') //头像
	};
	//使用baidu.template命名空间
	var bt = baidu.template;
	//可以设置分隔符
	//bt.LEFT_DELIMITER='<!';
	//bt.RIGHT_DELIMITER='!>';
	//可以设置输出变量是否自动HTML转义
	//bt.ESCAPE = false;
	//最简使用方法
	var html = bt('result', pdata);
	//渲染
	document.getElementById("list").innerHTML = html;
	var deceleration = mui.os.ios ? 0.003 : 0.0009
	mui('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
}