mui.init({
	pullRefresh: {
		container: "#refreshContainer", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		down: {
			contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			//contentrefresh: "数字化校园 V" + localStorage.Vinfo, //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: function() {
				start = 0;
				end = 10;
				isDown = true;
				setTimeout(function() {
					GetList();
				}, 1000)
			}
		},
		up: {
			auto: true,
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			//contentnomore: '数字化校园  V' + localStorage.Vinfo, //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: function() { //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				isDown = false;
				setTimeout(function() {
					GetList();
				}, 1000)
			},
		}
	}
});

mui.plusReady(function() {
	Jump(); //跳转
})

var start = 0,
	end = 10,
	isDown = false; //false为上拉，true为下拉

//获取列表数据
function GetList() {
	var GetData = {
		Uid: localStorage.GUID,
		parenttype: localStorage.examineparenttype, //父类型
		subtype: localStorage.examinesubtype, //子类型
		start: start,
		end: end
	};


	if(isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", GetData, "IGetExamineListByType");
	}
	
}

//渲染数据
function IGetExamineListByType(d) {
	
	var refreshContainer = mui('#refreshContainer');
	if(d == '') {
		refreshContainer.pullRefresh().endPullupToRefresh(true);
		return mui.toast('没有数据!');
	}
	var ztStr = [];
	switch(localStorage.examineparenttype) {
		case 'QJ':
			if(localStorage.examinesubtype == 'CCSH') {
				pushZTStr(0, 1)
			} else if(localStorage.examinesubtype == 'VPAudit') {
				pushZTStr(0, 1)
			} else if(localStorage.examinesubtype == 'PrincipalAudit') {
				pushZTStr(0, 1)
			}
			break;
		case 'LWCK':
			pushZTStr(0, 1);
			break;
		case 'JTJS':
			pushZTStr(0, 2);
			break;
		case 'WCSQ':
			pushZTStr(0, 1);
			break;
	}

	function pushZTStr(numone, numtow) {
		ztStr.push('待审核');
	}

	var data = {
		ztStr: ztStr,
		list: d
	};

	var gettpl = document.getElementById('result').innerHTML;
	laytpl(gettpl).render(data, function(html) {
		if(isDown) {
			$('#view').html(html);
			refreshContainer.pullRefresh().endPulldownToRefresh(false);
			refreshContainer.pullRefresh().enablePullupToRefresh(); //启用上拉加载
		} else {
			$('#view').append(html);
			if(d.length < 10) {
				refreshContainer.pullRefresh().endPullupToRefresh(true);
			} else {
				refreshContainer.pullRefresh().endPullupToRefresh(false);
			}
		}
	});
	mui.toast("为您加载了" + d.length + "条数据!");
	start += 10;
	end += 10;
}

//跳转
function Jump() {
	$('#view').on('tap', 'li', function() {

		localStorage.examineDetailsId = $(this).attr('id'); //保存列表id
		localStorage.examineDetailsZt = $(this).find('a').attr('id'); //保存列表状态

		mui.openWindow('details.html', 'details.html', {
			styles: {
				hardwareAccelerated: true
			}
		});
	})
}

function editZtStr() {
	var str = "审核状态" + "(" + localStorage.examineZtStr + ")";
	$('#' + localStorage.examineDetailsId).find('.ztstr').text(str);
	$('#' + localStorage.examineDetailsId).find('a').attr('id', localStorage.examineztnum);
}