mui.init();

mui.plusReady(function() {
	GetActivityRoom();
	GetMeeter();
	GetAllDeptByApp(); //获取部门信息

	document.getElementById("kaishiriqi").addEventListener('tap', function() {
		StarDate();
	})
	document.getElementById("kaishishijian").addEventListener('tap', function() { //添加监听
		StarTime();
	});
	document.getElementById("jieshushijian").addEventListener('tap', function() {
		EndTime();
	});
	SubmitApply();

});
var meetid = "",
	meetiname = "",
	meeterid = localStorage.GUID,
	meetername = localStorage.UserName,
	sqbmid = "",
	sqbmname = "",
	MtTime = "",
	StartTimeStr = "",
	EndTimeStr = "",
	isclick = 0;

$("#meeter_result").html(localStorage.UserName);

function GetActivityRoom() {
	var data = {}
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Meeting.ashx", data, "IGetActivityRoom");
	} else {
		mui.toast('网络异常!');
	}
}
//渲染会议室列表
function IGetActivityRoom(data) {
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	var bumenleixing = document.getElementById('huodongshiming');
	var bumenleixing_result = document.getElementById('huodongshiming_result');
	bumenleixing.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			if(items[0].value == null) {
				mui.toast('没有会议室可以选择!');
				return false;
			}
			bumenleixing_result.innerText = items[0].text;

			meetid = items[0].value; //将选中的值赋给变量
			meetiname = items[0].text;
		});
	}, false);

}

function GetMeeter() {
	var data = {}
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Meeting.ashx", data, "IGetMeeter");
	} else {
		mui.toast('网络异常!');
	}
}

//渲染会议室负责人
function IGetMeeter(data) {
	console.log("1"+JSON.stringify(data));
	(function($, doc) {
		//普通示例
		var userPicker = new $.PopPicker();
		userPicker.setData(data);
		var meeter = doc.getElementById('meeter');
		var meeter_result = doc.getElementById('meeter_result');
		meeter.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				if(items[0].text == null) {
					mui.toast('没有人员可以选择!');
					return false;
				}
				meeter_result.innerText = items[0].text;
				meetername = items[0].text; //将选中的值赋给变量
				meeterid = items[0].value;
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
	})(mui, document);
}

function GetAllDeptByApp() {
	ajaxRequest("ashxMobile/examine.ashx", "", "getAllDeptByApp"); //获取部门信息
}
//获取部门名
function getAllDeptByApp(data) {
	var userPicker = new mui.PopPicker();
	console.log(JSON.stringify(data));
	userPicker.setData(data);
	var sqbm = document.getElementById('sqbm');
	var sqbm_result = document.getElementById('sqbm_result');
	sqbm.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			if(items[0].value == null) {
				mui.toast('没有类型可以选择!');
				return false;
			}
			sqbm_result.innerText = items[0].text;

			sqbmid = items[0].value; //将选中的值赋给变量
			sqbmname = items[0].text;
		});
	}, false);

}

//选择年月日
function StarDate() {
	var optionsJson = '{"type":"date"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishiriqi");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_Date = rs.y.text + '-' + rs.m.text + '-' + rs.d.text;
		MtTime = Star_Date;
		document.getElementById("kaishiriqi_result").innerText = Star_Date + ' ';
		id.innerText = '选择日期:' + Star_Date;
		picker.dispose();
	});
}

//选择开始时间
function StarTime() {
	var optionsJson = '{"type":"time"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishishijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_Time = rs.h.text + ':' + rs.i.text;
		StartTimeStr = Star_Time;
		document.getElementById("kaishishijian_result").innerText = Star_Time + '至';
		id.innerText = '开始时间:' + Star_Time;
		picker.dispose();
	});
}

//选择结束日期
function EndTime() {
	if(document.getElementById("kaishishijian").innerText == '开始时间:') {
		mui.toast('请先选择开始时间!');
		return false;
	}
	var optionsJson = '{"type":"time"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("jieshushijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		End_Time = rs.h.text + ':' + rs.i.text; //时间转换成年月日时格式
		EndTimeStr = End_Time;
		if(Star_Time == null || Star_Time >= End_Time) { //验证
			mui.toast('结束时间不能小于开始时间!');
			return false;
		}
		document.getElementById("jieshushijian_result").innerText = End_Time;
		id.innerText = '结束时间:' + End_Time;
		picker.dispose();
	});
}

//提交出差申请
function SubmitApply() {
	document.getElementById("submit").addEventListener('tap', function() {
		var zt = document.getElementById("zt").value;
		var rq = document.getElementById("kaishiriqi_result").value;
		var startdata = document.getElementById("kaishishijian_result").value;
		var enddata = document.getElementById("jieshushijian_result").value;
		if(meetid == "") {
			return mui.toast('请选择会议室!');
		}
		if(sqbmid == "") {
			return mui.toast('请选择组织部门!');
		}
		if(meeterid == "") {
			return mui.toast('请选择会议室负责人!');
		}
		if(zt == "") {
			return mui.toast('请填写主题!');
		}
		if(rq == "") {
			return mui.toast('请选择日期!');
		}
		if(startdata == "") {
			return mui.toast('请选择开始时间!');
		}
		if(enddata == "") {
			return mui.toast('请选择结束时间!');
		}


		var GetData = {
			Title: zt, //主题
			RoomId: meetid, //会议室id
			RoomName: meetiname, //会议室名
			MtTime: MtTime, //日期
			StartTimeStr: StartTimeStr, //开始时间
			EndTimeStr: EndTimeStr, //结束时间

			CreatorId: localStorage.GUID, //当前用户ID
			CreatorName: localStorage.UserName, //当前用户名称
			DeptId: sqbmid, //申请部门
			DeptName: sqbmname, //请假原因
			MeetPrincipal: meeterid, //请假开始时间
			MeetRemarks: $("#content").val(), //请假结束时间
			str1:$("#str1").val()

		};

		if(isclick == 0) {
			isclick = 1;
			if(isNetwork()) {
				mui.toast('正在发送...');
				ajaxRequest("ashxMobile/Meeting.ashx", GetData, "IRequestForMeetingForApp");
			}
		}

	})
}
//判断申请是否成功并关闭窗口
function IRequestForMeetingForApp(data) {

	if(data.Success == true) {
		mui.toast('发送成功!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 1000); //1000ms后关闭
	}
	if(data.Success == false) {
		mui.toast(data.Message);
	}

}