/*
 * wx 2015-11-30请假老师端主页面列表JS
 */
mui.init({
	pullRefresh: {
		container: "#refreshContainer",
		down: {
			contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: '数字化校园  V' + localStorage.Vinfo, //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: function() {
				start = 0;
				end = 10;
				isDown = true;
				setTimeout(function() {
					getListData();
				}, 1000)
			}
		},
		up: {
			auto: true,
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '数字化校园  V' + localStorage.Vinfo, //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: function() { //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				isDown = false;
				setTimeout(function() {
					getListData();
				}, 1000)
			},
		}
	}
});

mui.plusReady(function() {
	seeDetails(); //查看详情
	wvStyle(null, 'none');
})

var start = 0,
	end = 10,
	isDown = false;

//获取列表数据
function getListData() {
	var getData = {
		Uid: localStorage.GUID,
		start: start,
		end: end
	};
	if (isNetwork()) {
		ajaxRequest('ashxMobile/IEducationalResearch.ashx', getData, 'IGetGoOutToStudyList');
	}
}

//渲染列表数据
function IGetGoOutToStudyList(data) {
	var refreshContaine=mui('#refreshContainer');
	if (data == '') {
		refreshContaine.pullRefresh().endPullupToRefresh(true);
		return mui.toast('没有更多数据了!');
	}
	var zt = [];
	$(data).each(function(i) {
		if (data[i].f_State == 0) {
			zt.push("<span class='mui-pull-right label no'>年级部审核中</span>");

		} else if (data[i].f_State == 1) {
			if (data[i].f_GradeYJ == 1) {
				zt.push("<span class='mui-pull-right label no'>教科所审核中</span>");
			} else {
				zt.push("<span class='mui-pull-right label no'>驳回</span>");
			}
		} else if (data[i].f_State == 2) {
			if (data[i].f_JKSYJ == 1) {
				zt.push("<span class='mui-pull-right label no'>分管校长审核中</span>");
			} else {
				zt.push("<span class='mui-pull-right label no'>驳回</span>");
			}
		} else if (data[i].f_State == 3) {
			if (data[i].f_FGYJ == 1) {
				zt.push("<span class='mui-pull-right label no'>校长审核中</span>");
			} else {
				zt.push("<span class='mui-pull-right label no'>驳回</span>");
			}
		} else if (data[i].f_State == 4) {
			if (data[i].f_XZYJ == 1) {
				zt.push("<span class='mui-pull-right label ok'>通过</span>");
			} else {
				zt.push("<span class='mui-pull-right label no'>驳回</span>");
			}
		}
	});
	var ldata = {
		zt: zt,
		list: data
	}
	var gettpl = document.getElementById('result').innerHTML;
	laytpl(gettpl).render(ldata, function(html) {
		if (isDown) {
			$('#view').html(html);
			refreshContaine.pullRefresh().endPulldownToRefresh(false);
			refreshContaine.pullRefresh().enablePullupToRefresh(); //启用上拉加载
		} else {
			$('#view').append(html);
			if (data.length < 10) {
				refreshContaine.pullRefresh().endPullupToRefresh(true);
			} else {
				refreshContaine.pullRefresh().endPullupToRefresh(false);
			}
		}
	});
	mui.toast("为您加载了" + data.length + "条数据!");
	start += 10;
	end += 10;
}


//查看详情
function seeDetails() {
	$('#view').on('tap', 'li', function() {
		localStorage.jkyxqid = $(this).data('id');
		localStorage.isSearch = '0';
		mui.openWindow('details.html', 'details.html', {
			show: {
				aniShow: 'slide-in-bottom',
				duration: 300,
			}
		});
	})
}