mui.init();
mui.plusReady(function() {
	getData(); //获取列表数据
	$('#view').on('tap', 'li', function() {
		localStorage.bmjsid = $(this).attr('id'); //获取点击的列表的id存入本地存储
		localStorage.bmjstype = $(this).data('type');
		mui.openWindow('selectPerson.html', 'selectPerson.html', {
			styles: {
				hardwareAccelerated: true
			},
			show: {
				aniShow: 'slide-in-bottom'
			}
		});
	})
})

//获取列表数据
function getData() {
	var getData = {};
	if (isNetwork()) {
		ajaxRequest("ashxMobile/IEducationalResearch.ashx", getData, 'IGetDepartmentAndRoleList')
	}
}

//渲染列表数据
function IGetDepartmentAndRoleList(data) {
	var bmname = [],
		bmid = [],
		jsname = [],
		jsid = []; //定义部门和角色列表数组
	$(data.ds).each(function(i) {
		jsname.push(data.ds[i].RoleName);
		jsid.push(data.ds[i].RoleID);
	})
	$(data.ds1).each(function(i) {
		bmname.push(data.ds1[i].Dname);
		bmid.push(data.ds1[i].Did);

	});
	var ldata = {
		bmname: bmname,
		bmid: bmid,
		jsname: jsname,
		jsid: jsid
	}
	document.getElementById("bmcount").innerText = bmname.length; //计算列表总数并拼到页面
	document.getElementById("jscount").innerText = jsname.length;
	var gettpl = document.getElementById('result').innerHTML;
	laytpl(gettpl).render(ldata, function(html) {
		document.getElementById('view').innerHTML = html;
	});
}