/*
 * 阶梯教室申请 wx 2015-11-27 15:35
 * 
 */
mui.init();
mui.plusReady(function() {
	GetLadderRoomType();
	GetLadderRoom();
	SubmitLadderRoomApply();
	wvStyle('none', 'none');
	document.getElementById("kaishiriqi").addEventListener('tap', function() {
		StarDate();
	})
	document.getElementById("kaishishijian").addEventListener('tap', function() { //添加监听
		StarTime();
	});
	document.getElementById("jieshushijian").addEventListener('tap', function() {
		EndTime();
	});
})

var jtjs, jtjsid,
	jtjslx, jtjslxid = 0;
var Star_Date = "",
	Star_Time = "",
	End_Time = "";

//获取阶梯教室类型
function GetLadderRoomType() {
	var data = {};
	if (isNetwork()) {
		ajaxRequest("ashxMobile/LadderClassroom.ashx", data, "IGetAllLadderCRType");
	}
}

//渲染阶梯教室类型
function IGetAllLadderCRType(data) {
	console.log(data)
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	var jietijiaoshileixing = document.getElementById('jietijiaoshileixing');
	var jietijiaoshileixing_result = document.getElementById('jietijiaoshileixing_result');
	jietijiaoshileixing.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			if (items[0].text == null) {
				mui.toast('没有教室可以选择!');
				return false;
			}
			document.getElementById("jietijiaoshi_result").innerText = '请选择';
			jtjs = null, jtjsid = null; //把阶梯教室跟id设为空
			jietijiaoshileixing_result.innerText = items[0].text;
			jtjslx = items[0].text; //将选中的值赋给变量
			jtjslxid = items[0].value;
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	}, false);
}

//根据阶梯教室类型获取阶梯教室
function GetLadderRoom() {
	document.getElementById("jietijiaoshi").addEventListener('tap', function() {
		var Getdata = {};
		Getdata.type = jtjslxid;
		if (isNetwork()) {
			ajaxRequest("ashxMobile/LadderClassroom.ashx", Getdata, "IGetLadderCR");
		}
	})
}

//渲染阶梯教室
function IGetLadderCR(data) {
	//普通示例
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	var jietijiaoshi = document.getElementById('jietijiaoshi');
	var jietijiaoshi_result = document.getElementById('jietijiaoshi_result');
	userPicker.show(function(items) {
		if (items[0].text == null) {
			mui.toast('没有教室可以选择!');
			return false;
		}
		jietijiaoshi_result.innerText = items[0].text;
		jtjs = items[0].text; //将选中的值赋给变量
		jtjsid = items[0].value;
		//返回 false 可以阻止选择框的关闭
		//return false;
	});
}

//选择年月日
function StarDate() {
	var optionsJson = '{"type":"date"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishiriqi");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_Date = rs.y.text + '-' + rs.m.text + '-' + rs.d.text;
		document.getElementById("kaishiriqi_result").innerText = Star_Date + ' ';
		id.innerText = '选择日期:' + Star_Date;
		picker.dispose();
	});
}

//选择开始时间
function StarTime() {
	var optionsJson = '{"type":"time"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishishijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_Time = rs.h.text + ':' + rs.i.text;
		document.getElementById("kaishishijian_result").innerText = Star_Time + '至';
		id.innerText = '开始时间:' + Star_Time;
		picker.dispose();
	});
}

//选择结束日期
function EndTime() {
	if (document.getElementById("kaishishijian").innerText == '开始时间:') {
		mui.toast('请先选择开始时间!');
		return false;
	}
	var optionsJson = '{"type":"time"}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("jieshushijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		End_Time = rs.h.text + ':' + rs.i.text; //时间转换成年月日时格式
		if (Star_Time == null || Star_Time >= End_Time) { //验证
			mui.toast('结束时间不能小于开始时间!');
			return false;
		}
		document.getElementById("jieshushijian_result").innerText = End_Time;
		id.innerText = '结束时间:' + End_Time;
		picker.dispose();
	});
}

//提交阶梯教室申请
function SubmitLadderRoomApply() {
	document.getElementById("submit").addEventListener('tap', function() {
		var zhuti = document.getElementById('zhuti');
		if (zhuti.value == "") {
			mui.toast('请填写主题!');
			return false;
		}
		if (jtjsid == null) {
			mui.toast('请选择阶梯教室!');
			return false;
		}
		if (Star_Date === "" || Star_Time === "" || End_Time === "") {
			return mui.toast('请选择正确的日期!');
		}
		var content = document.getElementById("content"); //获取原因说明
		var SetData = {};
		SetData.Uid = localStorage.GUID; //当前用户ID
		SetData.Uname = localStorage.UserName; //当前用户名称
		SetData.RoomId = jtjsid; //教室ID
		SetData.Title = zhuti.value; //主题
		SetData.Date = Star_Date; //申请日期
		SetData.startTime = Star_Time; //开始时间
		SetData.endTime = End_Time; //结束时间
		var oDate1 = new Date(Star_Date + " " + Star_Time);
		var oDate2 = new Date(Star_Date + " " + End_Time);
		SetData.startTimeLong = oDate1; //开始时间
		SetData.endTimeLong = oDate2; //结束时间
		SetData.Content = content.value; //申请原因
		if (isNetwork()) {
			ajaxRequest("ashxMobile/LadderClassroom.ashx", SetData, "IRequestForLadderCR");
		}
	})
}

//判断申请是否成功并关闭窗口
function IRequestForLadderCR(data) {
	if (data == true) {
		mui.toast('发送成功!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 1000);
	} else {
		mui.toast('发送失败,请重试!');
	}
}