/*
 * 请假申请 wx 2015-11-27 15:35
 * 
 */
mui.init();
mui.plusReady(function() {
	
	GetLeaveCategory();//获取请假分类
	GetLeaveType(); //获取请假类型
	wvStyle('none', 'none');
	document.getElementById("submit").addEventListener('tap', function() {
		submit();
	});
	document.getElementById("kaishishijian").addEventListener('tap', function() { //添加监听
		StarDate();
	});
	document.getElementById("jieshushijian").addEventListener('tap', function() {
		EndDate();
	});
})
var qjlx, qjlxid, Star_ymd, End_ymd; //qjlx:定义请假类型qjlxid:请假类型ID，kssj：开始jssj:结束时间

//获取请假类型
function GetLeaveType() {
	var data = {}
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Leave.ashx", data, "IGetLeaveType");
	} else {
		mui.toast('网络异常!');
	}
} 
//渲染请假类型
function IGetLeaveType(data) {
	//普通示例
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	
	var qingjialeixing = document.getElementById('qingjialeixing');
	var qingjialeixing_result = document.getElementById('qingjialeixing_result');
	qingjialeixing.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			if(items[0].text == null) {
				mui.toast('没有类型可以选择!');
				return false;
			}
			qingjialeixing_result.innerText = items[0].text;
			qjlx = items[0].text; //将选中的值赋给变量
			qjlxid = items[0].value;
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	}, false);

}

//获取请假分类
function GetLeaveCategory(){
	console.log("data=1");
	var data = {}
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Leave.ashx", data, "IGetLeaveCategory");
	} else {
		mui.toast('网络异常!');
	}
}
//渲染请假分类
function IGetLeaveCategory(data){
	console.log("data="+data);
	//普通示例
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	
	var qingjiafenlei = document.getElementById('qingjiafenlei');
	var qingjiafenlei_result = document.getElementById('qingjiafenlei_result');
	qingjiafenlei.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			if(items[0].text == null) {
				mui.toast('没有类型可以选择!');
				return false;
			}
			qingjiafenlei_result.innerText = items[0].text;
			qjlx = items[0].text; //将选中的值赋给变量
			qjlxid = items[0].value;
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	}, false);
	
}






//选择开始日期
function StarDate() {
	var optionsJson = '{"type":"date","beginYear":"2015","endYear":2025}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishishijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text;
		document.getElementById("kaishiriqi_result").innerText = Star_ymd + '至';
		id.innerText = '开始时间:' + Star_ymd;
		picker.dispose();
	});
}

//选择结束日期
function EndDate() {
	if(document.getElementById("kaishishijian").innerText == '开始时间:') {
		return mui.toast('请先选择开始时间!');
	}
	var optionsJson = ' {"type":"date","beginYear":"2015","endYear":2025}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("jieshushijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		End_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text; //时间转换成年月日格式
		if(Star_ymd == null || Star_ymd >= End_ymd) { //验证
			mui.toast('结束时间必须大于开始时间!');
			return false;
		}
		document.getElementById("jieshuriqi_result").innerText = End_ymd;
		id.innerText = '结束时间:' + End_ymd;
		picker.dispose();
	});
}

//提交请假申请
function submit() {
	if(qjlx == null) {
		return mui.toast('请选择请假类型!');
	}
	if(Star_ymd == null || End_ymd == null) {
		return mui.toast('请选择正确的开始结束时间!');
	}
	var content = document.getElementById("content").value; //获取原因说明
	var SetData = {};
	var TimeC = parseInt(countTimeLength('D', Star_ymd, End_ymd)); //计算时间差并取整
	SetData.Uid = localStorage.GUID; //当前用户ID
	SetData.Uname = localStorage.UserName; //当前用户名称
	SetData.startTime = Star_ymd; //请假开始时间
	SetData.endTime = End_ymd; //请假结束时间
	SetData.LeaveTypeId = qjlxid; //请假类型ID
	SetData.LeaveTypeName = qjlx; //请假类型名称
	SetData.Reason = content; //请假原因
	SetData.TimeC = TimeC; //共用多少天
	if(isNetwork()) {
		mui.toast('正在发送...');
		ajaxRequest("ashxMobile/Leave.ashx", SetData, "IRequestForLeave");
	}
}

//判断申请是否成功并关闭窗口
function IRequestForLeave(data) {
	if(data == true) {
		mui.toast('发送申请成功!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 300); //300ms后关闭
	} else {
		mui.toast('发送失败,请重试!');
	}
}

/** 
 * 计算两日期时间差 
 * @param   interval 计算类型：D是按照天、H是按照小时、M是按照分钟、S是按照秒、T是按照毫秒 
 * @param  date1 起始日期  格式为年月格式 为2012-06-20 
 * @param  date2 结束日期 
 * @return  
 */
function countTimeLength(interval, date1, date2) {
	var objInterval = {
		'D': 1000 * 60 * 60 * 24,
		'H': 1000 * 60 * 60,
		'M': 1000 * 60,
		'S': 1000,
		'T': 1
	};
	interval = interval.toUpperCase();
	var dt1 = Date.parse(date1.replace(/-/g, "/"));
	var dt2 = Date.parse(date2.replace(/-/g, "/"));
	try {
		return((dt2 - dt1) / objInterval[interval]).toFixed(2); //保留两位小数点  
	} catch(e) {
		return e.message;
	}
}