/*
 * 出差申请 wx 2015-11-27 15:35
 * 
 */
mui.init();
mui.plusReady(function() {
	GetDepartmentType();
	SubmitTravelApply();
	document.getElementById("kaishishijian").addEventListener('tap', function() { //添加监听
		StarDate();
	});
	document.getElementById("jieshushijian").addEventListener('tap', function() {
		EndDate();
	});
	var wv = plus.webview.currentWebview();
	wv.setStyle({
		'popGesture': 'none',
	})
})

var bmlx, bmlxid, Star_ymd, End_ymd;

//获取部门类型
function GetDepartmentType() {
	var data = {}
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Travel.ashx", data, "IGetAllTravelType");
	} else {
		mui.toast('网络异常!');
	}
}

//渲染部门类型
function IGetAllTravelType(data) {
	(function($, doc) {
		//普通示例
		var userPicker = new $.PopPicker();
		userPicker.setData(data);
		var bumenleixing = doc.getElementById('bumenleixing');
		var bumenleixing_result = doc.getElementById('bumenleixing_result');
		bumenleixing.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				if (items[0].text == null) {
					mui.toast('没有部门可以选择!');
					return false;
				}
				bumenleixing_result.innerText = items[0].text;
				bmlx = items[0].text; //将选中的值赋给变量
				bmlxid = items[0].value;
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
	})(mui, document);
}

//选择开始日期
function StarDate() {
	(function($) {
		var optionsJson = ' {"type":"date","beginYear":"2015","endYear":2025}';
		var options = JSON.parse(optionsJson);
		var id = document.getElementById("kaishishijian");
		var picker = new $.DtPicker(options);
		picker.show(function(rs) {
			Star_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text;
			document.getElementById("kaishiriqi_result").innerText = Star_ymd + '至';
			id.innerText = '开始时间:' + Star_ymd;
			picker.dispose();
		});
	})(mui);
}

//选择结束日期
function EndDate() {
	if (document.getElementById("kaishishijian").innerText == '开始时间:') {
		mui.toast('请先选择开始时间!');
		return false;
	}
	(function($) {
		var optionsJson = ' {"type":"date","beginYear":"2015","endYear":2025}';
		var options = JSON.parse(optionsJson);
		var id = document.getElementById("jieshushijian");
		var picker = new $.DtPicker(options);
		picker.show(function(rs) {
			End_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text; //时间转换成年月日格式
			if (Star_ymd == null || Star_ymd >= End_ymd) { //验证
				mui.toast('结束时间不能小于开始时间!');
				return false;
			}
			document.getElementById("jieshuriqi_result").innerText = End_ymd;
			id.innerText = '结束时间:' + End_ymd;
			picker.dispose();
		});
	})(mui);
}

//提交出差申请
function SubmitTravelApply() {
	document.getElementById("submit").addEventListener('tap', function() {
		var tongxingren = document.getElementById('tongxingren');
		var didian = document.getElementById('didian');
		var mudi = document.getElementById('mudi');
		if (bmlx == null) {
			mui.toast('请选择部门类型!');
			return false;
		}
		if (Star_ymd == null || End_ymd == null) {
			mui.toast('请选择正确的开始结束时间!');
			return false;
		}
		if (tongxingren.value == "" || didian.value == "" || mudi.value == "") {
			mui.toast('请填写完整信息!');
			return false;
		}
		var content = document.getElementById("content").value; //获取原因说明
		var SetData = {};
		var TimeC = parseInt(countTimeLength('D', Star_ymd, End_ymd)); //计算时间差并取整
		SetData.Uid = localStorage.GUID; //当前用户ID
		SetData.Uname = localStorage.UserName; //当前用户名称
		SetData.startTime = Star_ymd;
		SetData.endTime = End_ymd;
		SetData.DepId = bmlxid; //部门ID
		SetData.peerName = tongxingren.value; //同行人名称
		SetData.Place = didian.value; //地点
		SetData.Objective = mudi.value; //目的
		SetData.Reason = content; //出差原因
		SetData.TimeC = TimeC; //获取时间
		if (isNetwork()) {
			ajaxRequest("ashxMobile/Travel.ashx", SetData, "IRequestForTravel");
		} else {
			mui.toast('网络异常!');
		}
	})
}

//判断申请是否成功并关闭窗口
function IRequestForTravel(data) {
	if (data == true) {
		mui.toast('发送成功!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 1000); //1000ms后关闭
	} else {
		mui.toast('发送失败,请重试!');
	}
}

/** 
 * 计算两日期时间差 
 * @param   interval 计算类型：D是按照天、H是按照小时、M是按照分钟、S是按照秒、T是按照毫秒 
 * @param  date1 起始日期  格式为年月格式 为2012-06-20 
 * @param  date2 结束日期 
 * @return  
 */
function countTimeLength(interval, date1, date2) {
	var objInterval = {
		'D': 1000 * 60 * 60 * 24,
		'H': 1000 * 60 * 60,
		'M': 1000 * 60,
		'S': 1000,
		'T': 1
	};
	interval = interval.toUpperCase();
	var dt1 = Date.parse(date1.replace(/-/g, "/"));
	var dt2 = Date.parse(date2.replace(/-/g, "/"));
	try {
		return ((dt2 - dt1) / objInterval[interval]).toFixed(2); //保留两位小数点  
	} catch (e) {
		return e.message;
	}
}