/*
 * wx 2015-12-1出差老师端主页面列表JS
 */
mui.init();
mui.plusReady(function() {
	LoadTab();
	Seedetails();
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
})

var start = 0,
	end = 8,
	start1 = 0,
	end1 = 8,
	start2 = 0,
	end2 = 8; //分页初始化
var isDown = true; //用于区分上拉下拉
var ymindex = 0; //页面索引
var ismain = true;

//加载选项卡滑动操作
function LoadTab() {
	GetTravelList('dsh'); //获取待审核数据
	var item2Show = false,
		item3Show = false; //子选项卡是否显示标志
	var dsh = "",
		ytg = "",
		wtg = ""; //存储各页面的html
	document.querySelector('.mui-slider').addEventListener('slide', function(event) {
		if (event.detail.slideNumber === 1 && !item2Show) {
			//切换到第二个选项卡
			//根据具体业务，动态获得第二个选项卡内容；
			//显示内容
			ymindex = 1;
			GetTravelList('ytg'); //获取已通过列表数据
			//改变标志位，下次直接显示
			item2Show = true;

		} else if (event.detail.slideNumber === 2 && !item3Show) {
			//切换到第三个选项卡
			//根据具体业务，动态获得第三个选项卡内容；
			//显示内容
			ymindex = 2;
			GetTravelList('wtg'); //获取未通过列表数据
			//改变标志位，下次直接显示
			item3Show = true;
		}
	});
}

//根据类型获取相应的数据 type:待审核(dsh) 已通过(ytg)  未通过(wtg)
function GetTravelList(type) {
	var GetData = {};
	GetData.Uid = localStorage.GUID;
	if (type == 'dsh') {
		GetData.start = start;
		GetData.end = end;
	} else if (type == 'ytg') {
		GetData.start = start1;
		GetData.end = end1;
	} else if (type == 'wtg') {
		GetData.start = start2;
		GetData.end = end2;
	}
	GetData.type = type;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Travel.ashx", GetData, "IGetTravelListByType");
	}
}

//渲染获取的数据到页面
function IGetTravelListByType(data) {
	var HtmlStr = "";
	var HtmlTravel = "";
	if (ymindex == 0) {
		HtmlTravel = $("#daishenhe").html();
	} else if (ymindex == 1) {
		HtmlTravel = $("#yitongguo").html();
	} else if (ymindex == 2) {
		HtmlTravel = $("#weitongguo").html();
	}
	if (data == "") {
		return mui.toast('没有新的出差信息!');
	}
	if (isDown) {
		HtmlTravel = "";
	}
	$(data).each(function(i) {
		HtmlStr = HtmlStr + TravelHtml.format(
			data[i].f_Starttime,
			data[i].f_Endtime,
			data[i].f_Days, //共多少天
			data[i].f_Place, //地点
			data[i].f_peerName, //同行人
			data[i].f_Department, //部门
			data[i].CK, //状态
			data[i].f_Reason //备注
		);
	});
	if (ymindex == 0) {
		document.getElementById("daishenhe").innerHTML = HtmlTravel + HtmlStr;
		start += 10;
		end += 10;
	} else if (ymindex == 1) {
		document.getElementById("yitongguo").innerHTML = HtmlTravel + HtmlStr;
		start1 += 10;
		end1 += 10;
	} else if (ymindex == 2) {
		document.getElementById("weitongguo").innerHTML = HtmlTravel + HtmlStr;
		start2 += 10;
		end2 += 10;
	}
}

//上拉刷新  下拉加载
(function($) {
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropDown(index);
							isDown = true;
							self.endPullDownToRefresh();
						}, 200);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropUp(index);
							isDown = false;
							self.endPullUpToRefresh();
						}, 200);
					}
				}
			});
		});
	});
})(mui);

//下拉刷新  
function dropDown(index) {
	if (index == 0) {
		start = 0;
		end = 8;
		ymindex = 0;
		GetTravelList('dsh');
	} else if (index == 1) {
		start1 = 0;
		end1 = 8;
		ymindex = 1;
		GetTravelList('ytg');
	} else if (index == 2) {
		start2 = 0;
		end2 = 8;
		ymindex = 2;
		GetTravelList('wtg');
	}
}

//上拉加载  
function dropUp(index) {
	if (index == 0) {
		ymindex = 0
		GetTravelList('dsh');
	} else if (index == 1) {
		ymindex = 1;
		GetTravelList('ytg');
	} else if (index == 2) {
		ymindex = 2;
		GetTravelList('wtg');
	}
}

var TravelHtml = '<div class ="xian"> </div>' +
	'<li class = "mui-table-view-cell mui-media details" data-title="{3}" data-date="{0}至{1}" data-peername="{4}" data-zt="{6}" data-department="{5}" data-days="{2}" data-mark="{7}">' +
	'<a class="mui-navigate-right">' +
	'<span class = "yuanjiao mui-pull-left bianju"><span class="iconfont">&#xe636;</span></span>' +
	'<div class = "mui-media-body" >' +
	'<p class = "mui-ellipsis" style = "color: #000000;">{3}<p>' +
	'<p class = "mui-ellipsis" >{0}至{1}</p>' +
	'</div></a>' +
	'</li>';

//查看详情
function Seedetails() {
	$('ul').on('tap', 'li', function() {
		localStorage.zt = $(this).data('zt');
		localStorage.title = $(this).data('title'); //出差地点
		localStorage.date = $(this).data('date');
		localStorage.peerName = $(this).data('peername'); //同行人姓名
		localStorage.Department = $(this).data('department'); //部门
		localStorage.days = $(this).data('days'); //共计多少天
		localStorage.mark = $(this).data('mark'); //备注
		localStorage.isSearch = '0';
		mui.openWindow('details.html', 'details.html', {
			show: {
				aniShow: 'slide-in-bottom',
				duration: 300,
			},
			styles: {
				hardwareAccelerated: true,
			}
		});
	})
}