var appupload = {
	init: function(num,obj) {
		var btnArray = [{
			title: "相册"
		}, {
			title: "拍照"
		}];
		plus.nativeUI.actionSheet({
			title: "选择照片",
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			var index = e.index;
			switch (index) {
				case 0:
					break;
				case 1:
					//相册
					appupload.gallery(num,obj);
					break;
				case 2:
					//拍照
					appupload.camera(obj);
					break;
			}
		});
	},
	gallery: function(num,obj) {
		num = parseInt(num) ? num : 1;
		if (num == 1) {
			plus.gallery.pick(function(path) {
				appupload.upload(path,obj)
			});
		} else {
			plus.gallery.pick(function(e) {
				if (e.files.length > num) {
					plus.nativeUI.alert('最多只能上传' + num + '张图,现在是' + e.files.length + '张');
					return false;
				}
				for (var i in e.files) {
					appupload.upload(e.files[i],obj);
				}
			}, function(e) {}, {
				filter: "image",
				multiple: true
			});
		}
	},
	camera: function(obj) {
		var cmr = plus.camera.getCamera().captureImage(function(p) {
			plus.io.resolveLocalFileSystemURL(p, function(entry) {
				var path = entry.toLocalURL();
				appupload.upload(path,obj)
			});
		}, function(error) {
			console.log("照片添加失败: " + error.message);
		});
	},
	upload: function(path,obj) {
		var dst = "_doc/photo/" + Math.random(100) + '.jpg';
		plus.zip.compressImage({
			src: path,
			dst: dst,
			quality: 70,
			width: '600px',
			height:'auto',
			format: 'jpg'
		}, function() {
			plus.io.resolveLocalFileSystemURL(dst, function(entry) {
				var data ={};
				data.dst = entry.toLocalURL();
				data.path = path;
				obj(data);
			});
		}, function(error) {
			console.log('图片压缩失败!' + dst);
		});

		return path;
	}
}