(function() {
	mui.plusReady(function() {
			MonitoringMessage();
		})
		/**
		 * @description 监听在线消息事件
		 */
	function MonitoringMessage() {
		mui.plusReady(function() {
			// 扩展API加载完毕，现在可以正常调用扩展API 

			// 添加监听服务端透传消息
			plus.push.addEventListener("receive", function(msg) {
				getPushMsg(msg);
			}, false);

			// 添加监听从本地消息点击事件	
			plus.push.addEventListener("click", function(msg) {
				getClickPushMsg(msg);					
			}, false);
		});
	}		

	//创建本地
	function createLocalPushMsg(msg, title) {
		var options = {
			cover: false
		};
		plus.push.createMessage(title, msg, options);
	}

	/**
	 * @description 解析服务端推送的数据
	 */
	function getPushMsg(msg) {
		// 分析msg.payload处理业务逻辑 
		var obj = JSON.parse(msg.content);
		var title = obj.Type + obj.Content;
		if (obj.hrefUrl == "6") {
			mui.confirm('您有一条车辆申请消息，请点击查看详情!', '车辆申请', ['查看', '取消'], function(e) {
				if (e.index == 0) {
					localStorage.fid = obj.Id;
					mui.openWindow('vehicleSPdetails.html', 'vehicleSPdetails.html', {
						show: {
							aniShow: 'zoom-fade-out'
						}
					})
				}
			});
		} else if (obj.hrefUrl == "3") {
			mui.confirm('您有一条报修申请消息，请点击查看详情!', '报修申请', ['查看', '取消'], function(e) {
				if (e.index == 0) {
					mui.openWindow('../head/Head_repairs_home.html', 'pushbx', {
						show: {
							aniShow: 'zoom-fade-out'
						}
					})
				}
			});
		}
		createLocalPushMsg(msg.content, title);
	}

	/**
	 * @description 解析本地推送的数据点击事件
	 */
	function getClickPushMsg(msg) {
		// 分析msg.payload处理业务逻辑 
		var obj = JSON.parse(msg.payload);
		var title = obj.Type + obj.Content;
		// 1: 公告 2：请假 3：报修 4：出差 5：阶梯教室 6:车辆审批 
		if (obj.hrefUrl == "1") {
			localStorage.isSearch = '2';
			localStorage.noticeid = obj.Id;
			mui.openWindow('noticeDetails.html', 'pushgg');
		} else if (obj.hrefUrl == "2") {
			mui.openWindow('../head/Head_leave_home.html', 'pushqj')
		} else if (obj.hrefUrl == "3") {
			localStorage.Rid = obj.Id;
			mui.openWindow('../head/Head_repairs_home.html', 'pushbx');
		} else if (obj.hrefUrl == "4") {
			mui.openWindow('../head/Head_travel_home.html', 'pushcc');
		} else if (obj.hrefUrl == "5") {
			mui.openWindow('../head/Head_ladderRoom_home.html', 'pushjtjs');
		} else if (obj.hrefUrl == "6") {
			localStorage.fid = obj.Id;
			mui.openWindow('vehicleSPdetails.html', 'pushclsq');
		}
	}
})();