/*
 * 课表wx2015-12-7
 */
var xqid = "", //学期id
	njid = "", //年级id
	bjid = "", //班级id
	pkid = "", //排课id
	xqid_txt = "",
	njid_txt = "",
	bjid_txt = "",
	pk_txt = "";
mui.init();
mui.plusReady(function() {
	GetSchedulelist();
})

//获取学期 年级 班级 排课
function GetSchedulelist() {
	var GetData = {};
	if (isNetwork()) {
		ajaxRequest("ashxMobile/CourseTableQuery.ashx", GetData, "IGetTermGradeClass");
	}
}

//渲染选择器
function IGetTermGradeClass(data) {
	var cityPicker3 = new mui.PopPicker({
		layer: 3
	});
	cityPicker3.setData(data);
	var result = document.getElementById('result');
	xqid = data[0].value;
	njid = data[0].children[0].value;
	bjid = data[0].children[0].children[0].value;
	xqid_txt = data[0].text;
	njid_txt = data[0].children[0].text;
	bjid_txt = data[0].children[0].children[0].text;
	result.innerText = xqid_txt + njid_txt + bjid_txt;
	GetZDYPK();
	document.getElementById("showPicker").addEventListener('tap', function() {
		cityPicker3.show(function(items) {
			result.innerText = (items[0] || {}).text + (items[1] || {}).text + (items[2] || {}).text;
			xqid = items[0].value;
			njid = items[1].value;
			bjid = items[2].value;
			GetZDYPK();
		});
	});
}

//获取排课设置
function GetZDYPK() {
	var GetData = {};
	GetData.termId = xqid; //学期
	GetData.Grade = njid; //年级
	if (isNetwork()) {
		ajaxRequest("ashxMobile/CourseTableQuery.ashx", GetData, "IGetBindZDYPK");
	}
}

//渲染排课选择器
function IGetBindZDYPK(data) {
	if (data == '') {
		return mui.toast('没有排课数据');
	}
	var userPicker = new mui.PopPicker();
	userPicker.setData(data);
	var showPK = document.getElementById('showPK');
	var PKResult = document.getElementById('PKResult');
	PKResult.innerText = data[0].text;
	pkid = data[0].value;
	initPKBaseSet();
	userPicker.show(function(items) {
		PKResult.innerText = (items[0] || {}).text;
		pkid = items[0].value;
		initPKBaseSet();
	});
}

var studyWeek = "";
var weeks = "";
var morningCourse = 0; //上午多少节
var afternoonCourse = 0; //下午多少节
var zdCourse = 0; //早读多少节
var wzxCourse = 0; //晚自习多少节
var courseArr = new Array(); //页面课程集合
var termId = "";
var grade = "";
var classId = "";
var className = "";

//加载排课的基础设置
function initPKBaseSet() {
	var GetData = {};
	GetData.Term = xqid; //学期
	GetData.Grade = njid; //年级
	GetData.batchId = pkid; //排课id
	if (isNetwork()) {
		ajaxRequest("ashxMobile/CourseTableQuery.ashx", GetData, "IGetPKBaseSet");
	}
}

//获取课表设置
function IGetPKBaseSet(d) {
	if (d == null) {
		return mui.toast('没有课表数据');
	}
	studyWeek = d.TheDay;
	weeks = studyWeek.split(",");
	morningCourse = d.AmJie;
	afternoonCourse = d.PmJie;
	zdCourse = d.ZdJie;
	wzxCourse = d.WsJie;
	initTable();
}

//初始化课表
function initTable() {
	//className = $("#c_Class").combobox("getText");
	//$("#cName").html(grade + "级" + className + "&nbsp;&nbsp;课程表");

	courseArr = new Array(weeks.length * (zdCourse + morningCourse + afternoonCourse + wzxCourse) * 35); //初始化课程集合
	$("#tblKCB").empty();
	//画表头 （星期）
	var headstr = "<tr style='background:#798299;color:#EDEEF1'><td width='10%'></td>";
	var day_bf = 90 / weeks.length;
	for (var i = 0; i < weeks.length; i++) {
		headstr += "<td height='50' align='center' width='" + day_bf + "%' valign='middle'>" + weeks[i] + "</td>";
	}
	headstr += "</tr>";

	var zdstr = "";
	var zdFGXstr = "";
	if (zdCourse > 0) {
		//画早读
		zdstr = "<tr style='background:#798299;color:#EDEEF1'><td rowspan='" + zdCourse + "' align='center' valign='middle'>早上</td>";
		for (var i = 0; i < zdCourse; i++) {
			if (i != 0) {
				zdstr += "<tr>";
			}
			for (var j = 0; j < weeks.length; j++) {
				zdstr += "<td height='50' align='center' valign='middle'  class='dragbleTr' subject='' teacher='' warn='' style='background:#F6F7FA;color:#606272' >&nbsp;</td>";
				var obj = {
					TheDay: j + 1,
					NodalType: 2,
					TheJie: i + 1
				};
				courseArr[weeks.length * i + j] = obj;
			}
			zdstr += "</tr>";
		}
		//画分割线
		zdFGXstr = "<tr><td colspan='" + (weeks.length * 1 + 1) + "' align='center' valign='middle'>早上</td></tr>";
	}

	//画上午
	var morningstr = "<tr style='background:#798299;color:#EDEEF1'><td rowspan='" + morningCourse + "' align='center' valign='middle'>上午</td>";
	for (var i = 0; i < morningCourse; i++) {
		if (i != 0) {
			morningstr += "<tr>";
		}
		for (var j = 0; j < weeks.length; j++) {
			morningstr += "<td height='50' align='center' valign='middle'  class='dragbleTr' subject='' teacher='' warn='' style='background:#F6F7FA;color:#606272' >&nbsp;</td>";
			var obj = {
				TheDay: j + 1,
				NodalType: 0,
				TheJie: i + 1
			};
			courseArr[weeks.length * zdCourse + weeks.length * i + j] = obj;
		}
		morningstr += "</tr>";
	}

	//画午休
	var freestr = "<tr style='background:#fff'><td colspan='" + (weeks.length * 1 + 1) + "' align='center' valign='middle'>午休</td></tr>";

	//画下午
	var afternoonstr = "<tr style='background:#798299;color:#EDEEF1'><td rowspan='" + afternoonCourse + "' align='center' valign='middle'>下午</td>";
	for (var i = 0; i < afternoonCourse; i++) {
		if (i != 0) {
			afternoonstr += "<tr>";
		}
		for (var j = 0; j < weeks.length; j++) {
			afternoonstr += "<td height='50' align='center' valign='middle'  class='dragbleTr' subject='' teacher=''  warn=''  style='background:#F6F7FA;color:#606272' >&nbsp;</td>";
			var obj = {
				TheDay: j + 1,
				NodalType: 1,
				TheJie: i + 1
			};
			courseArr[weeks.length * zdCourse + weeks.length * morningCourse + weeks.length * i + j] = obj;
		}
		afternoonstr += "</tr>";
	}

	var wsstr = "";
	var wsFGXstr = "";
	if (wzxCourse > 0) {

		//画分割线
		wsFGXstr = "<tr><td colspan='" + (weeks.length * 1 + 1) + "' align='center' valign='middle'>晚上</td></tr>";

		//画晚自习
		wsstr = "<tr style='background:#798299;color:#EDEEF1'><td rowspan='" + wzxCourse + "' align='center' valign='middle'>晚上</td>";
		for (var i = 0; i < wzxCourse; i++) {
			if (i != 0) {
				wsstr += "<tr >";
			}
			for (var j = 0; j < weeks.length; j++) {
				wsstr += "<td height='50' align='center' valign='middle'  class='dragbleTr' subject='' teacher=''  warn='' style='background:#F6F7FA;color:#606272'  >&nbsp;</td>";
				var obj = {
					TheDay: j + 1,
					NodalType: 3,
					TheJie: i + 1
				};
				courseArr[weeks.length * zdCourse + weeks.length * morningCourse + weeks.length * afternoonCourse + weeks.length * i + j] = obj;
			}
		}
		wsstr += "</tr>";
	}

	 $("#tblKCB").append(headstr + zdstr + zdFGXstr + morningstr + freestr + afternoonstr + wsFGXstr + wsstr);
	if (localStorage.isAllORMy == 'true') { //判断是我的课表还是全部课表
		GetTeacherSchedulelist();
	} else {
		getCourseinfo();
	}

}

//获取任课数据
function getCourseinfo() {
	var GetData = {};
	GetData.Term = xqid; //学期
	GetData.Grade = njid; //年级
	GetData.Class = bjid; //班级
	GetData.batchId = pkid;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/CourseTableQuery.ashx", GetData, "IGetCourseInfo");
	}
}

//将任课数据填充到课表
function IGetCourseInfo(d) {
	var classCourseInfo = d["classCourseInfo"]; //班级课表
	var gradeCourseInfo = d["gradeCourseInfo"]; //年级预排课
	var classPKLimit = d["classPKLimit"]; //班级预排课
	if (classCourseInfo.length > 0) {
		pkFlag = true; //已有排课信息
	} else {
		pkFlag = false; //没有排课信息
	}
	//填充表格
	for (var i = 0; i < classCourseInfo.length; i++) { //班级排课信息
		var obj = commmon.objToTable(classCourseInfo[i]);
		obj.html("<span style='color:#8EBDF8;' >" + classCourseInfo[i].subName + "</span><span>" + classCourseInfo[i].f_teaName + "</span>"); //填充内容
		//		obj.attr("subject", classCourseInfo[i].SubjectId); //填充学科标签
		//		obj.attr("teacher", classCourseInfo[i].TeacherId); //填充教师标签
		//		courseArr[$("#tblKCB [subject]").index(obj)] = classCourseInfo[i];
	}
	for (var i = 0; i < gradeCourseInfo.length; i++) { //年级、学校预排课信息
		var obj = commmon.objToTable(gradeCourseInfo[i]);
		if (gradeCourseInfo[i].remarks.indexOf("不排课") >= 0) {
			obj.html(""); //填充内容
		} else {
			obj.html(gradeCourseInfo[i].remarks); //填充内容
		}
		obj.removeClass("dragbleTr");
	}
	for (var i = 0; i < classPKLimit.length; i++) { //班级预排课

		var classLimitInfo = classPKLimit[i].remarks;

		var obj = commmon.objToTable(classPKLimit[i]);
		if (classLimitInfo.indexOf("不排课") >= 0) {
			obj.html(""); //填充内容
		} else {
			if (classLimitInfo.indexOf('/') >= 0) {
				var remarksArray = classLimitInfo.split('/');
				obj.html("<span style='color:#8EBDF8;'>" + remarksArray[0] + "</span><span>" + remarksArray[1] + "</span>");
			} else {
				obj.html(classLimitInfo); //填充内容
			}
		}
		obj.removeClass("dragbleTr");
	}
}

//获取我的课表
function GetTeacherSchedulelist() {
	var GetData = {};
	GetData.Term = xqid;
	GetData.Uid = localStorage.GUID;
	GetData.batchId = pkid;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/CourseTableQuery.ashx", GetData, "TGetTeaTableInfo");
	}
}

//填充我的课表
function TGetTeaTableInfo(d) {
	var classCourseInfo = d["classCourseInfo"]; //班级课表
	var gradeCourseInfo = d["gradeCourseInfo"]; //年级预排课
	if (classCourseInfo.length > 0) {
		pkFlag = true; //已有排课信息
	} else {
		pkFlag = false; //没有排课信息
	}
	//填充表格
	for (var i = 0; i < classCourseInfo.length; i++) { //班级排课信息
		var obj = commmon.objToTable(classCourseInfo[i]);
		obj.html(classCourseInfo[i].subName + "<br/>" + classCourseInfo[i].f_teaName); //填充内容
		obj.attr("subject", classCourseInfo[i].SubjectId); //填充学科标签
		obj.attr("teacher", classCourseInfo[i].TeacherId); //填充教师标签
		courseArr[$("#tblKCB [subject]").index(obj)] = classCourseInfo[i];
	}
	if (gradeCourseInfo == undefined) { //判断是不是为undefined
		return false;
	}
	for (var i = 0; i < gradeCourseInfo.length; i++) { //年级、学校预排课信息
		var obj = commmon.objToTable(gradeCourseInfo[i]);
		if (gradeCourseInfo[i].remarks.indexOf("不排课") >= 0) {
			obj.html(""); //填充内容
		} else {
			obj.html(gradeCourseInfo[i].remarks); //填充内容
		}
		obj.removeClass("dragbleTr");
	}
}

//公用方法对象 
var commmon = {
	objToTable: function(obj) { //根据单节课程信息对象定位到table对应的位置
		var num; //表格的td对应的序号
		//if (obj.NodalType == "0") {//如果是上午
		//    num = weeks.length * (obj.TheJie - 1) + obj.TheDay;
		//} else {//如果是下午
		//    num = weeks.length * morningCourse + weeks.length * (obj.TheJie - 1) + obj.TheDay;
		//}
		if (obj.NodalType == "2") { //如果是早上
			num = weeks.length * (obj.TheJie - 1) + obj.TheDay;
		}
		if (obj.NodalType == "0") { //如果是上午
			//num = weeks.length * (obj.TheJie - 1) + obj.TheDay;
			num = weeks.length * zdCourse + weeks.length * (obj.TheJie - 1) + obj.TheDay;
		} else if (obj.NodalType == "1") { //如果是下午
			num = weeks.length * zdCourse + weeks.length * morningCourse + weeks.length * (obj.TheJie - 1) + obj.TheDay;
		} else if (obj.NodalType == "3") { //如果是晚上
			num = weeks.length * zdCourse + weeks.length * morningCourse + weeks.length * afternoonCourse + weeks.length * (obj.TheJie - 1) + obj.TheDay;
		}
		return $("#tblKCB [subject]:eq(" + (num - 1) + ")");
	}
}