/*
 * wx 2016-1-18
 */
mui.init();
mui.plusReady(function() {

	GetData();
	wvStyle(null, 'none');
	$("#view").on('tap', '#ok', function() {
		console.log(localStorage.examineparenttype);
		if(localStorage.examineparenttype == "LWCK") {

			layui.use('layer', function() {

				var layer = layui.layer;
				layer.open({
					type: 2,
					title: '添加',
					fix: false, //不固定
					maxmin: false,
					content: "LWGLSH.html"
				});

			});

		} else {
			mui.prompt(' ', '', '请输入同意理由（非必填）', ['确定', '取消'], function(e) {
				if(e.index == 0) {
					switch(localStorage.examineparenttype) {
						case 'QJ':
							Examine(2, e.value); //审批功能
							break;

						case 'CC':
							Examine(2, e.value); //审批功能
							break;
						case 'JTJS':
							Examine(2, e.value); //审批功能
							break;

					}
					localStorage.examineZtStr = "审核通过";
				}
			})
		}

	});

	$("#view").on('tap', '#no', function() {

		if(localStorage.examineparenttype == "LWCK") {
			mui.confirm("确认该论文不通过？", "提示", ["确定", "取消"], function(e) {
				var GetData = {
					id: localStorage.examineDetailsId
				};
				if(e.index == 0) {
					if(isNetwork()) {
						ajaxRequest("ashxMobile/examine.ashx", GetData, "NotCheckById");
					}
				}
			})

		} else {
			mui.prompt(' ', '', '请输入拒绝理由（非必填）', ['确定', '取消'], function(e) {
				if(e.index == 0) {
					switch(localStorage.examineparenttype) {
						case 'QJ':
							Examine(3, e.value); //审批功能
							break;
						case 'LWGL':
							Examine(3, e.value); //审批功能
							break;
						case 'JTJS':
							Examine(3, e.value); //审批功能
							break;
						case 'WCSQ':
							Examine(2, e.value); //审批功能
							break;
					}
					localStorage.examineZtStr = "未通过";
				}

			})
		}
	});

})



//获取详情
function GetData() {
	var GetData = {
		id: localStorage.examineDetailsId,
		parenttype: localStorage.examineparenttype, //父类型
		subtype: localStorage.examinesubtype //子类型
	};
	if(isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", GetData, "SeaGetExamineDetails");
	}
}

//渲染详情
function SeaGetExamineDetails(d) {

	if(d == '') {
		return mui.toast('没有数据!');
	}
	var navTitle = "";
	var ztStr = "";

	function pushZTStr(numone, numtow) {
		if(localStorage.examineparenttype == "QJ") {
			if(localStorage.examineDetailsZt == 0) {
				ztStr = '待审核';
				localStorage.ztIcon = 0;
			} else if(localStorage.examineDetailsZt == 2) {
				ztStr = '审核通过';
				localStorage.ztIcon = 2;
			} else {
				ztStr = '未通过';
				localStorage.ztIcon = 3;
			}
		} else {
			try {
				if(localStorage.examineDetailsZt == numone) {
					ztStr = '等待审核';
					localStorage.ztIcon = 0;
				} else if(localStorage.examineDetailsZt == numtow) {
					ztStr = '已通过';
					localStorage.ztIcon = 1;
				} else {
					ztStr = '已拒绝';
					localStorage.ztIcon = 2;
				}
			} catch(e) {}
		}
	}
	console.log(localStorage.examineparenttype);
	switch(localStorage.examineparenttype) {

		case "QJ":
			pushZTStr(0, 1);
			navTitle = "请假申请";
			break;
		case "LWCK":
			pushZTStr(0, 2);
			navTitle = "论文申请";
			break;
		case "JTJS":
			pushZTStr(0, 2);
			navTitle = "阶梯教室申请";
			break;
		case "WCSQ":
			pushZTStr(0, 1);
			navTitle = "外出申请";
			break;
	}
	document.getElementById("navtitle").innerHTML = d[0].name + "的" + navTitle; //更改标题
	var gettpl = document.getElementById('result').innerHTML;

	laytpl(gettpl).render(d, function(html) {
		document.getElementById("view").innerHTML = html;
		document.getElementById("ztStr").innerHTML = ztStr
	});
}

//审批功能
function Examine(zt, remarks) {
	var SetData = {
		uid: localStorage.GUID, //当前用户ID
		guid: localStorage.examineDetailsId, //这条信息的id
		zt: zt,
		parentType: localStorage.examineparenttype, //父类型
		subType: localStorage.examinesubtype, //子类型
		remarks: remarks //备注说明
	}

	localStorage.examineztnum = zt;

	if(isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", SetData, "UpdateExamineInfo");
	}
}

//审批回调
function UpdateExamineInfo(d) {
	if(d) {
		mui.toast('审批完成!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
			plus.webview.getWebviewById('../examine/list.html').evalJS("editZtStr()");
		}, 300)
	} else {
		mui.toast('发送失败,请重试!');
	}
}

//审核不通过
function NotCheckById(d) {
	if(d) {
		mui.toast('审批完成!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
			plus.webview.getWebviewById('../examine/list.html').evalJS("editZtStr()");
		}, 300)
	} else {
		mui.toast('发送失败,请重试!');
	}
}