/*
 * wx 2016-1-18
 */
mui.init();
mui.plusReady(function() {
	GetData();
	wvStyle(null, 'none');
	$("#view").on('tap', '#ok', function() {
		mui.prompt(' ', '', '请输入同意理由（非必填）', ['确定', '取消'], function(e) {
			if (e.index == 0) {
				switch (localStorage.examineparenttype) {
					case 'QJ':
						Examine(1, e.value); //审批功能
						break;
					case 'CC':
						Examine(2, e.value); //审批功能
						break;
					case 'JTJS':
						Examine(2, e.value); //审批功能
						break;
					case 'WCSQ':
						Examine(1, e.value); //审批功能
						break;
				}
				localStorage.examineZtStr = "已通过";
			}
		})
	});
	$("#view").on('tap', '#no', function() {
		mui.prompt(' ', '', '请输入拒绝理由（非必填）', ['确定', '取消'], function(e) {
			if (e.index == 0) {
				switch (localStorage.examineparenttype) {
					case 'QJ':
						Examine(-1, e.value); //审批功能
						break;
					case 'CC':
						Examine(3, e.value); //审批功能
						break;
					case 'JTJS':
						Examine(3, e.value); //审批功能
						break;
					case 'WCSQ':
						Examine(2, e.value); //审批功能
						break;
				}
				localStorage.examineZtStr = "已拒绝";
			}
		})
	});
})

//获取详情
function GetData() {
	var GetData = {
		id: localStorage.examineDetailsId, //列表的id
		parentType: localStorage.examineparenttype, //父类型
		subType: localStorage.examinesubtype //子类型
	}
	if (isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", GetData, "SeaGetExamineDetails");
	}
}

//渲染详情
function SeaGetExamineDetails(d) {
	if (d == '') {
		return mui.toast('没有数据!');
	}
	var navTitle = "";
	var ztStr = "";

	function pushZTStr(numone, numtow) {
		try {
			if (localStorage.examineDetailsZt == numone) {
				ztStr = '等待审核';
				localStorage.ztIcon = 0;
			} else if (localStorage.examineDetailsZt == numtow) {
				ztStr = '已通过';
				localStorage.ztIcon = 1;
			} else {
				ztStr = '已拒绝';
				localStorage.ztIcon = 2;
			}
		} catch (e) {}
	}
	switch (localStorage.examineparenttype) {
		case "QJ":
			if (localStorage.examinesubtype == "QJSP") {
				pushZTStr(0, 1);
			} else {
				pushZTStr('null', 1);
			}
			navTitle = "请假申请";
			break;
		case "CC":
			pushZTStr(0, 2);
			navTitle = "出差申请";
			break;
		case "JTJS":
			pushZTStr(0, 2);
			navTitle = "阶梯教室申请";
			break;
		case "WCSQ":
			pushZTStr(0, 1);
			navTitle = "外出申请";
			break;
	}
	document.getElementById("navtitle").innerHTML = d[0].name + "的" + navTitle; //更改标题
	var gettpl = document.getElementById('result').innerHTML;
	laytpl(gettpl).render(d, function(html) {
		document.getElementById("view").innerHTML = html;
		document.getElementById("ztStr").innerHTML = ztStr
	});
}

//审批功能
function Examine(zt, remarks) {
	var SetData = {
		uid: localStorage.GUID, //当前用户ID
		guid: localStorage.examineDetailsId, //这条信息的id
		zt: zt,
		parentType: localStorage.examineparenttype, //父类型
		subType: localStorage.examinesubtype, //子类型
		remarks: remarks //备注说明
	}
	localStorage.examineztnum = zt;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", SetData, "UpdateExamineInfo");
	}
}

//审批回调
function UpdateExamineInfo(d) {
	if (d) {
		mui.toast('审批完成!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
			plus.webview.getWebviewById('../examine/list.html').evalJS("editZtStr()");
		}, 300)
	} else {
		mui.toast('发送失败,请重试!');
	}
}