/*
 * wx 2015-12-1阶梯教室老师端主页面列表JS
 */
mui.init();
mui.plusReady(function() {
	LoadTab();
	Seedetails();
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
})

var start = 0,
	end = 8,
	start1 = 0,
	end1 = 8,
	start2 = 0,
	end2 = 8; //分页初始化
var isDown = true; //用于区分上拉下拉
var ymindex = 0; //页面索引
var ismain = true;

//加载选项卡滑动操作
function LoadTab() {
	GetLadderRoomList('dsh'); //获取待审核数据
	var item2Show = false,
		item3Show = false; //子选项卡是否显示标志
	var dsh = "",
		ytg = "",
		wtg = ""; //存储各页面的html
	document.querySelector('.mui-slider').addEventListener('slide', function(event) {
		if (event.detail.slideNumber === 1 && !item2Show) {
			//切换到第二个选项卡
			//根据具体业务，动态获得第二个选项卡内容；
			//显示内容
			ymindex = 1;
			GetLadderRoomList('ytg'); //获取已通过列表数据
			//改变标志位，下次直接显示
			item2Show = true;

		} else if (event.detail.slideNumber === 2 && !item3Show) {
			//切换到第三个选项卡
			//根据具体业务，动态获得第三个选项卡内容；
			//显示内容
			ymindex = 2;
			GetLadderRoomList('wtg'); //获取未通过列表数据
			//改变标志位，下次直接显示
			item3Show = true;
		}
	});
}

//根据类型获取相应的数据 type:待审核(dsh) 已通过(ytg)  未通过(wtg)
function GetLadderRoomList(type) {
	var GetData = {};
	GetData.Uid = localStorage.GUID;
	if (type == 'dsh') {
		GetData.start = start;
		GetData.end = end;
	} else if (type == 'ytg') {
		GetData.start = start1;
		GetData.end = end1;
	} else if (type == 'wtg') {
		GetData.start = start2;
		GetData.end = end2;
	}
	GetData.type = type;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/LadderClassroom.ashx", GetData, "IGetLadderCRListByType");
	}
}

//渲染获取的数据到页面
function IGetLadderCRListByType(data) {
	var HtmlStr = "";
	var HtmlTravel = "";
	if (ymindex == 0) {
		HtmlTravel = $("#daishenhe").html();
	} else if (ymindex == 1) {
		HtmlTravel = $("#yitongguo").html();
	} else if (ymindex == 2) {
		HtmlTravel = $("#weitongguo").html();
	}
	if (data == "") {
		mui.toast('加载完了!');
		return false;
	}
	if (isDown) {
		HtmlTravel = "";
	}
	$(data).each(function(i) {
		var firstword = GetFirstWord(data[i].typename);
		HtmlStr = HtmlStr + LadderRoomHtml.format(
			data[i].RoomName,
			data[i].Data,
			data[i].startTime,
			data[i].endTime,
			data[i].Title, //申请主题
			data[i].RoomName, //教室名称
			firstword,
			'预定' + data[i].typename, //教室类型
			data[i].BZ, //备注
			data[i].ZT, //教室状态
			ymindex
		);
	});
	if (ymindex == 0) {
		document.getElementById("daishenhe").innerHTML = HtmlTravel + HtmlStr;
		start += end;
		end += end;
	} else if (ymindex == 1) {
		document.getElementById("yitongguo").innerHTML = HtmlTravel + HtmlStr;
		start1 += end1;
		end1 += end1;
	} else if (ymindex == 2) {
		$("#weitongguo").html(HtmlTravel + HtmlStr);
		start2 += end2;
		end2 += end2;
	}
}

//上拉刷新  下拉加载
(function($) {
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropDown(index);
							isDown = true;
							self.endPullDownToRefresh();
						}, 200);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropUp(index);
							isDown = false;
							self.endPullUpToRefresh();
						}, 200);
					}
				}
			});
		});
	});
})(mui);

//下拉刷新  
function dropDown(index) {
	if (index == 0) {
		start = 0;
		end = 8;
		ymindex = 0;
		GetLadderRoomList('dsh');
	} else if (index == 1) {
		start1 = 0;
		end1 = 8;
		ymindex = 1;
		GetLadderRoomList('ytg');
	} else if (index == 2) {
		start2 = 0;
		end2 = 8;
		ymindex = 2;
		GetLadderRoomList('wtg');
	}
}

//上拉加载  
function dropUp(index) {
	if (index == 0) {
		ymindex = 0;
		GetLadderRoomList('dsh');
	} else if (index == 1) {
		ymindex = 1;
		GetLadderRoomList('ytg');
	} else if (index == 2) {
		ymindex = 2;
		GetLadderRoomList('wtg');
	}
}

var LadderRoomHtml = '<div class = "xian" > </div>' +
	'<li class = "mui-table-view-cell mui-media" data-title="{4}" data-date="{2}至{3}" data-roomname="{0}" data-roomtype="{7}" data-mark="{8}" data-zt="{9}" data-riqi="{1}" >' +
	'<a class="mui-navigate-right">' +
	'<span class = "yuanjiao mui-pull-left bianju iconfont">&#xe637;</span>' +
	'<div class = "mui-media-body" >' +
	'<p class = "mui-ellipsis" style = "color: #000000;" >{4}</p>' +
	'<p class = "mui-ellipsis" >{1} {2}至{3}</p>' +
	'</div></a>' +
	'</li>';

//查看详情
function Seedetails() {
	$('.mui-slider-group').on('tap', 'li', function() {
		localStorage.zt = $(this).data('zt');
		localStorage.title = $(this).data('title');
		localStorage.date = $(this).data('date');
		localStorage.mark = $(this).data('mark');
		localStorage.roomname = $(this).data('roomname');
		localStorage.roomtype = $(this).data('roomtype');
		localStorage.riqi = $(this).data('riqi');
		localStorage.isSearch = '0';
		mui.openWindow('details.html', 'details.html', {
			show: {
				aniShow: 'slide-in-bottom',
				duration: 300,
			},
			styles: {
				hardwareAccelerated: true,
			}
		});
	})
}