mui.init();

mui.plusReady(function() {
	//获取区域类型数据 
	getRepairAreaCategory();
	//发送
	sendOut();
	//状态滑块按钮
	swkgButton();
	//上传照片
	upImg();
	wvStyle(null, 'none');
	$('#tel').val(localStorage.Account);
});

//发送报修
function sendOut() {
	document.getElementById("sendOut").addEventListener('tap', function() {
		var data = {};
		var Uid = localStorage.GUID; //用户ID
		var AId = $("#AreaId").val(); //区域id
		var LbId = $("#LbId").val(); //类别ID
		var xxdz = $("#xxdz").val(); //详细信息
		var tel = $("#tel").val(); //电话
		var content = $("#content").val(); //简介
		var StrGrade = document.getElementById("StrGrade").value; //状态
		var img = document.getElementById("imgpath").value;
		if (AId != "" && LbId != "" && xxdz != "" && tel != "" && content != "") {
			data.ZT = "5";
			data.Uid = localStorage.GUID;;
			data.AId = AId;
			data.LbId = LbId;
			data.xxdz = xxdz;
			data.tel = tel;
			data.content = content;
			data.img = img;
			data.StrGrade = StrGrade;
			ajaxRequest("ashxMobile/Repair.ashx", data, "ISendRepair");
		} else {
			mui.toast('信息未填写完整!');
			return;
		};
	});
}

//回调函数 获取 发送任务后的结果
function ISendRepair(data) {
	if (data == true) {
		mui.toast('发送成功!');
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 1000); //1000ms后关闭
	} else {
		mui.toast('发送失败!');
	}
}

//获取区域类型数据 hx 2015-11-23
function getRepairAreaCategory() {
	ajaxRequest("ashxMobile/Repair.ashx", {}, "IGetRepairAreaCategory");
}

//回调函数 获取区域类型数据  hx 2015-11-23
function IGetRepairAreaCategory(data) {
	swichQYLB(data);
}

//状态滑块 按钮
function swkgButton() {
	(function($, doc) {
		var swkg = document.getElementById("swkg");
		swkg.addEventListener("toggle", function(event) {
			if (event.detail.isActive) {
				document.getElementById("StrGrade").value = "1";
			} else {
				document.getElementById("StrGrade").value = "0";
			}
		});
	})(mui, document);
}

//点击上传图片
function upImg() {
	mui.init({
		gestureConfig: {
			longtap: true //默认为false 
		}
	});
	document.getElementById("photozs").addEventListener('longtap', function() {
		if ($("#imgpath").val() != "") {
			plus.device.vibrate();
			$("#delimg").css('display', 'block');
		}
	});
	document.getElementById("delimg").addEventListener('tap', function() {
		$("#delimg").css('display', 'none');
		$("#photozs").css('display', 'none');
		$("#imgpath").val("");
	});
	document.getElementById("Photograph").addEventListener('tap', function() {
		var btnArray = [{
			title: "拍照"
		}, {
			title: "相册"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			var index = e.index;
			switch (index) {
				case 0:
					break;
				case 1:
					getImage("photozs");
					break;
				case 2:
					appendByGallery("photozs");
					break;
			}
		});
	});
}
//生成guid 作为图片名称
function guid() {
	return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
		var r = Math.random() * 16 | 0,
			v = c == 'x' ? r : (r & 0x3 | 0x8);
		return v.toString(16);
	});
}

//选择区域类别 hx
function swichQYLB(cityData) {
	(function($, doc) {

		$.init();
		$.ready(function() {

			//级联示例
			var cityPicker = new $.PopPicker({
				layer: 2
			});
			cityPicker.setData(cityData);
			var showCityPickerButton = doc.getElementById('qydz');
			showCityPickerButton.addEventListener('tap', function(event) {
				cityPicker.show(function(items) {
					if (items[0].text == null) {
						mui.toast('没有区域可以选择!');
						return false;
					}
					//showCityPickerButton.value = items[0].text + " " + items[1].text;
					document.getElementById("qingjialeixing_result").innerHTML = items[0].text + " " + items[1].text;
					//为隐藏域复制用于保存
					document.getElementById("AreaId").value = items[0].value;
					document.getElementById("LbId").value = items[1].value;
				});
			}, false);
		});
	})(mui, document);
}