/*
 * 报修详情页的渲染与操作 wx 2015-11-24 19:31
 */
mui.init();
var isShowFBA = 0; //是否显示底部按钮0：显示，1：不显示
mui.plusReady(function() {
	mui.previewImage();
	var wv = plus.webview.currentWebview();
	wv.setStyle({
		'popGesture': 'close',
	});
	if (localStorage.isSearch == '1') { //判断是否是从搜索页面进入
		isShowFBA = 1;
		GetSearchDetailedInfo();
	} else {
		BasisIdGetRepair();
	}
})

var PhoneNumber = ""; //初始化手机号码
var RepairStartime; //报修申请日期

//根据报修列表传过来的ID获取相关信息
function BasisIdGetRepair() {
	var data = {};
	data.Rid = localStorage.Rid; //从本地获取要查询的ID
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Repair.ashx", data, "IGetRepairInfo");
	}
}

//渲染报修详情页面
function IGetRepairInfo(data) {
	PhoneNumber = data.SQ_moblie; //传入电话号码
	RepairStartime = data.SQ_Time; //传入报修申请日期
	localStorage.bxxq_GUID = data.f_GUID; //这条数据的id
	localStorage.UserId = data.Uid; //创建者ID
	var data = {
		'Name': data.f_teaName,
		'time': data.SQ_Time,
		'dizhi': data.BX_RegionName + data.SQ_Adress,
		'beizhu': data.SQ_Mark,
		'zhaopian': localStorage.RequestUrl + data.SQ_Img,
		'gongzuojindu': data.SQ_Zt, //1 等待发送 ,2 已经接单,3 已经维修,5 已经发送, 7 驳回
		'zhuangtai': data.SQ_StrGrade,
		'isweixiugong': localStorage.getItem('iswxg'),
		'zhaopianyuandizhi': data.SQ_Img,
		'isShowFBA': isShowFBA
	};
	//使用baidu.template命名空间
	var bt = baidu.template;
	//可以设置分隔符
	//bt.LEFT_DELIMITER='<!';
	//bt.RIGHT_DELIMITER='!>';
	//可以设置输出变量是否自动HTML转义
	//bt.ESCAPE = false;
	//最简使用方法
	var html = bt('info', data);
	//渲染
	document.getElementById('result').innerHTML = html; //渲染报修详情页
	FooterButtonAction(); //底部按钮操作代码
}

//根据搜索页面传值进行请求数据
function GetSearchDetailedInfo() {
	var GetData = {};
	GetData.ID = localStorage.searchId;
	GetData.Type = localStorage.searchType;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Search.ashx", GetData, "IGetSeeInfo");
	}
}

function IGetSeeInfo(data) {
	var btdata = {
		'Name': data[0].f_teaName,
		'time': data[0].SQ_Time,
		'dizhi': data[0].BX_RegionName + data[0].SQ_Adress,
		'beizhu': data[0].SQ_Mark,
		'zhaopian': localStorage.RequestUrl + data[0].SQ_Img,
		'gongzuojindu': data[0].SQ_Zt, //1 等待发送 ,2 已经接单,3 已经维修,5 已经发送, 7 驳回
		'zhuangtai': data[0].SQ_StrGrade,
		'isweixiugong': localStorage.getItem('iswxg'),
		'zhaopianyuandizhi': data[0].SQ_Img
	}
	var bt = baidu.template;
	//可以设置分隔符
	//bt.LEFT_DELIMITER='<!';
	//bt.RIGHT_DELIMITER='!>';
	//可以设置输出变量是否自动HTML转义
	//bt.ESCAPE = false;
	//最简使用方法
	bt.ESCAPE = false;
	var html = bt('info', btdata);
	//渲染
	document.getElementById('result').innerHTML = html;
	FooterButtonAction(); //底部按钮操作代码
}

//底部按钮操作代码
function FooterButtonAction() {
	//状态为1按钮操作
	$("#fasong").on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否发送？', '发送', btnArray, function(e) {
			if (e.index == 0) {} else {
				SetRepairInfo(5); //维修详情5已发送
			}
		})
	});

	//状态为2按钮操作
	$('#weixiudengji').on('tap', function() {
		mui.openWindow('reg.html', 'reg.html');
	});

	//状态为5按钮操作
	$('#jiedan').on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否接单？', '接单', btnArray, function(e) {
			if (e.index == 0) {} else {
				SetRepairInfo(2);
			}
		})
	});

	$('#bohui').on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否驳回？', '驳回', btnArray, function(e) {
			if (e.index == 0) {} else {
				SetRepairInfo(7);
				PushInfo('ashxMobile/MessagePush.ashx', 'MessagePushToOneUser', localStorage.bxxq_GUID, '7', localStorage.UserId, '报修驳回', '您的报修已经驳回!'); //驳回推送消息
			}
		})
	});

	//电话咨询
	$("#dianhuazixun").on('tap', function() {
		var btnArray = ['否', '是'];
		mui.confirm('是否打电话？', '电话咨询', btnArray, function(e) {
			if (e.index == 0) {} else {
				plus.device.dial(PhoneNumber, false);
			}
		})
	});
}

//不同报修结果操作SetRepairInfo(num),num,5:点击发送后已发送,3:维修好登记后已经维修,2:点击接单后已经接单,7:点击驳回后驳回
function SetRepairInfo(num) {
	var data = {};
	data = {
		Aid: localStorage.Rid,
		ZT: num
	}
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Repair.ashx", data, "IRepairStatusChanges");
	}
	mui.toast('操作成功!');
	plus.webview.currentWebview().reload(false); //重新加载
}