mui.init();
mui.plusReady(function() {
	localStorage.oldCheckedIds = '';
	localStorage.checkedIds = ''; //清空本地存储的人员id
	localStorage.checkedNames = ''; //清空本地存储的人员姓名
	document.getElementById("kaishishijian").addEventListener('tap', function() {
		StarDate();
	})
	document.getElementById("jieshushijian").addEventListener('tap', function() {
		EndDate();
	})
	document.getElementById("wcrymd").addEventListener('tap', function() {
		mui.openWindow('nameList.html', 'nameList.html', {
			styles: {
				hardwareAccelerated: true
			}
		})
	})
	document.getElementById("submit").addEventListener('tap', function() { //提交数据
		submit();
	});
});

var jkyzid, Star_ymd, End_ymd; //定义所选的教科研组长id和开始结束时间
//获取教研组组长列表
function getData() {
	if (isNetwork()) {
		ajaxRequest("ashxMobile/IEducationalResearch.ashx", '', "IGetJKYNameAndManagementInfo");
	}
}

//渲染数据
function IGetJKYNameAndManagementInfo(data) {
	(function($, doc) {
		//普通示例
		var userPicker = new $.PopPicker();
		userPicker.setData(data);
		var jyzzz = doc.getElementById('jyzzz');
		var jyzzz_result = doc.getElementById('jyzzz_result');
		jyzzz.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				jyzzz_result.innerText = items[0].text;
				jkyzid = items[0].value;
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
	})(mui, document);
}

//选择开始日期
function StarDate() {
	var optionsJson = ' {"type":"date","beginYear":"2015","endYear":2025}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("kaishishijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		Star_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text;
		document.getElementById("kaishiriqi_result").innerText = Star_ymd + '至';
		id.innerText = '开始时间:' + Star_ymd;
		picker.dispose();
	});
}

//选择结束日期
function EndDate() {
	if (document.getElementById("kaishishijian").innerText == '开始时间:') {
		return mui.toast('请先选择开始时间!');
	}
	var optionsJson = ' {"type":"date","beginYear":"2015","endYear":2025}';
	var options = JSON.parse(optionsJson);
	var id = document.getElementById("jieshushijian");
	var picker = new mui.DtPicker(options);
	picker.show(function(rs) {
		End_ymd = rs.y.text + '-' + rs.m.text + '-' + rs.d.text; //时间转换成年月日格式
		document.getElementById("jieshuriqi_result").innerText = End_ymd;
		id.innerText = '结束时间:' + End_ymd;
		picker.dispose(); //释放资源
	});
}

//提交
function submit() {
	if (document.getElementById("jkyzm").value == '' || document.getElementById("jkyzz").value == '' || Star_ymd == null || End_ymd == null || document.getElementById("zhuti").value == '' || document.getElementById("didian").value == '') {
		return mui.toast('请填写完整申请信息!');
	}
	var setData = {
		uid: localStorage.GUID, //当前用户id
		jkyzm: document.getElementById("jkyzm").value,
		jkyzz: document.getElementById("jkyzz").value,
		title: document.getElementById("zhuti").value, //主题
		starttime: Star_ymd, //开始时间
		endtime: End_ymd, //结束时间
		outid: localStorage.checkedIds.toString().replace(/!/g, '$'), //外出人员id 注： $分隔
		outname: localStorage.checkedNames, //外出人员名单 注：, 分隔
		place: document.getElementById("didian").value //地点
	}
	if (isNetwork()) {
		ajaxRequest("ashxMobile/IEducationalResearch.ashx", setData, "ISaveGoOutToStudyInfo");
	}
}

//是否申请成功
function ISaveGoOutToStudyInfo(data) {
	if (data == 1) {
		mui.toast('成功发送申请!');
		plus.webview.currentWebview().close();
		localStorage.oldCheckedIds = '';
		localStorage.checkedIds = ''; //清空本地存储的人员id
		localStorage.checkedNames = ''; //清空本地存储的人员姓名
	} else {
		mui.toast('发送申请失败，请重试!');
	}
}