mui.init();
mui.plusReady(function() {
	getData(); //获取列表数据
	wvStyle(null, 'none');
});

//获取列表数据
function getData() {
	plus.nativeUI.showWaiting('正在加载中...');
	var getData = {
		id: localStorage.bmjsid,
		type: localStorage.bmjstype
	}
	console.log(localStorage.bmjsid+"   "+localStorage.bmjstype);
	if (isNetwork()) {
		ajaxRequest("ashxMobile/IEducationalResearch.ashx", getData, 'IGetDepUserOrRoleUserListByID')
	} else {
		plus.nativeUI.closeWaiting();
	}
}

//渲染数据
function IGetDepUserOrRoleUserListByID(data) {
	if (data == '') {
		plus.nativeUI.closeWaiting();
		setTimeout(function() {
			plus.webview.currentWebview().close();
		}, 300)
		return mui.toast('可选人员为空!');
	}
	var indexlist = []; //联系人索引数组
	$(data).each(function(i) {
		indexlist.push(data[i].pyszm);
	})
	var ldata = {
		list: data,
		index_list: $.unique(indexlist)
	}
	var gettpl = document.getElementById('index_result').innerHTML;
	laytpl(gettpl).render(ldata, function(html) {
		document.getElementById('index_view').innerHTML = html;
	});
	var gettpl = document.getElementById('list_result').innerHTML;
	laytpl(gettpl).render(ldata, function(html) {
		document.getElementById('list_view').innerHTML = html;
	});
	selectPerson(); //选择人员
	inputChange(); //计算选中的多选框数量
	plus.nativeUI.closeWaiting();
}

//选择人员
function selectPerson() {
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	var done = document.getElementById('done');
	var id, name;
	//calc hieght
	list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	//create
	window.indexedList = new mui.IndexedList(list);
	mui('.mui-indexed-list-inner').on('change', 'input', function() {
		id = '!' + $(this).parent('li').attr('id') + '!';
		name = $(this).parent('li').find('.list-text').text();
		if ($(this).is(':checked') && localStorage.checkedIds.indexOf(id) == -1) {
			localStorage.checkedIds += id;
			localStorage.oldCheckedIds += id.replace(/!/g, '$');
			localStorage.checkedNames += name + ',';
		} else {
			localStorage.checkedIds = localStorage.checkedIds.replace(new RegExp(id, 'g'), '');
			localStorage.checkedNames = localStorage.checkedNames.replace(new RegExp(name + ","), '');
		}
		inputChange(); //计算选中的多选框数量
	});
	//done event
	done.addEventListener('tap', function() {
		showNames = localStorage.checkedNames;
		if (showNames == '') { //判断是不是为空为空赋个值，不然confirm没法用
			showNames = '无';
		}
		mui.confirm(showNames, '已选人员名单', ['确定', '重选'], function(e) {
			if (e.index == 0) {
				plus.webview.getWebviewById("../unesco/apply.html").evalJS('document.getElementById("mingdan").innerText=localStorage.checkedNames')
				plus.webview.currentWebview().close();
			}
		});
	}, false);
}

//计算选中的多选框数量
function inputChange() {
	var count = list.querySelectorAll('input[type="checkbox"]:checked').length;
	var value = count ? "完成(" + count + ")" : "完成";
	done.innerHTML = value;
}