/*
 * 搜索wx 2015-12-4
 * 
 */
mui.init();
mui.plusReady(function() {
	SwitchTypeContent(); //切换搜索框显示内容
	run(); //定时器
	Seedetails(); //查看详情
	SearchEffect(); //搜索框效果
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});
	$('.qingjia').css('border', '3px solid #FFFFFF'); //默认给这个圆添加边框
	if (!mui.os.ios) {
		plus.webview.getWebviewById('search.html').show('zoom-fade-out', 300)
	}
})

var isSearch = true; //初始为true可以搜索
var type = 2; //默认为请假2

//设定搜索间隔
var time = 1000; //设为1秒钟间隔
var interval; //调度器对象。
function run() {
	interval = setInterval("fun()", time);
}

function fun() {
	isSearch = true;
}

//搜索框效果
function SearchEffect() {
	document.getElementById("ui-searchbar").addEventListener('tap', function() {
		$('.ui-searchbar-wrap').addClass('focus');
		$('.ui-searchbar-input input').focus();
	});
	document.getElementById("ui-searchbar-cancel").addEventListener('tap', function() {
		$('.ui-searchbar-wrap').removeClass('focus');
	});
}

//切换搜索框显示内容
function SwitchTypeContent() {
	var searchbar_text = document.getElementById("ui-searchbar-text"); //获取搜索内容div里面的字
	var search_text = document.getElementById("search") //文本框默认文字
	var textData = {}; //定义切换文字
	textData.qingjia = '搜索类别:请假';
	textData.baoxiu = '搜索类别:报修';
	textData.chuchai = '搜索类别:出差';
	textData.jietijiaoshi = '搜索类别:阶梯教室';
	textData.gonggao = '搜索类别:公告';
	document.getElementById("qingjia").addEventListener('tap', function() {
		searchbar_text.innerText = textData.qingjia; //设置搜索内容div里面的字
		$(search_text).attr('placeholder', textData.qingjia); //设置文本框默认的值
		$('.yuan').css('border', '0px'); //先取消所有圆的边框
		$('.qingjia').css('border', '3px solid #FFFFFF'); //在给点击的这个圆添加边框
		type = 2; //类型改变
		GetSearchContent(isSearch); //执行搜索方法
	})
	document.getElementById("baoxiu").addEventListener('tap', function() {
		searchbar_text.innerText = textData.baoxiu;
		$(search_text).attr('placeholder', textData.baoxiu);
		$('.yuan').css('border', '0px');
		$('.baoxiu').css('border', '3px solid #FFFFFF');
		type = 3;
		GetSearchContent(isSearch);
	})
	document.getElementById("chuchai").addEventListener('tap', function() {
		searchbar_text.innerText = textData.chuchai;
		$(search_text).attr('placeholder', textData.chuchai);
		$('.yuan').css('border', '0px');
		$('.chuchai').css('border', '3px solid #FFFFFF');
		type = 4;
		GetSearchContent(isSearch);
	})
	document.getElementById("jietijiaoshi").addEventListener('tap', function() {
		searchbar_text.innerText = textData.jietijiaoshi;
		$(search_text).attr('placeholder', textData.jietijiaoshi);
		$('.yuan').css('border', '0px');
		$('.jietijiaoshi').css('border', '3px solid #FFFFFF');
		type = 5;
		GetSearchContent(isSearch);
	})
	document.getElementById("gonggao").addEventListener('tap', function() {
		searchbar_text.innerText = textData.gonggao;
		$(search_text).attr('placeholder', textData.gonggao);
		$('.yuan').css('border', '0px');
		$('.gonggao').css('border', '3px solid #FFFFFF');
		type = 1;
		GetSearchContent(isSearch);
	})
	document.getElementById("search").addEventListener("keydown", function(e) {
		if (13 == e.keyCode) {
			e.preventDefault(); //阻止默认事件
			//点击了“搜索” 
			GetSearchContent(isSearch);
		}
	}, false);
}

//获取搜索结果
function GetSearchContent(isSearch) {
	if (isSearch == true) { //判断是否可以搜索
		var GetData = {};
		GetData.Uid = localStorage.GUID;
		GetData.Type = type;
		GetData.Content = document.getElementById("search").value;
		if (GetData.Content == "") {
			plus.nativeUI.closeWaiting();
			return mui.toast('请输入搜索内容!');
		}
		if (isNetwork()) {
			ajaxRequest("ashxMobile/Search.ashx", GetData, "IGetSearchInfo");
		}
	} else {
		mui.toast('您搜索的太频繁了,请稍后!');
	}
}

//渲染搜索结果
function IGetSearchInfo(data) {
	isSearch = false; //设为false，暂时不能搜索
	if (data == "") { //如果没有返回数据插个html
		document.getElementById("sousuojieguo").innerHTML = "";
		return mui.toast('没有搜到数据!');
	}
	var Html = '';
	var ztHtml = '';
	var title;
	var issuer = '';
	var SearchLeaveHtml = '<li class="mui-table-view-cell details" data-id="{2}">{0}{1}{3}</li>';
	$(data).each(function(i) {
		switch (data[i].SQ_Zt) {
			case '1':
				ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color" style="color: black;">&#xe631;</span>待发送</span>';
				break;
			case '2':
				ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color ytg">&#xe62c;</span>已接单</span>';
				break;
			case '3':
				ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color ytg">&#xe62c;</span>已维修</span>';
				break;
			case '5':
				ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color">&#xe631;</span>已发送</span>';
				break;
			case '7':
				ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color wtg">&#xe62d;</span>已驳回</span>';
				break;
		}

		if (data[i].zt == 0 || data[i].CK == 0 || data[i].ZT == 0) {
			ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color">&#xe60b;</span>待审核</span>';
		} else if (data[i].zt == 2 || data[i].CK == 2 || data[i].ZT == 2) {
			ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color ytg">&#xe62c;</span>已通过</span>'
		} else if (data[i].zt == 3 || data[i].CK == 3 || data[i].ZT == 3) {
			ztHtml = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color wtg">&#xe62d;</span>未通过</span>'
		}
		if (type == 1) { //如果搜索的目标不是公告的话不执行
			issuer = '<span class="mui-pull-right"><span class="mui-icon iconfont icon_color">&#xe632;</span>' + data[i].f_teaName + '</span>'
		}
		title = data[i].title;
		if (data[i].title.length > 10) {
			title = data[i].title.substr(0, 10);
			title += '...';
		}
		Html = Html + SearchLeaveHtml.format(
			title,
			ztHtml, //根据状态插入html
			data[i].id, //id
			issuer
		);
	});
	document.getElementById("sousuojieguo").innerHTML = Html;
	$('.notice').remove();
}

//获取详情
function Seedetails() {
	$('#sousuojieguo').on('tap', '.details', function() {
		localStorage.searchId = $(this).data('id');
		localStorage.searchType = type;
		localStorage.isSearch = '1' //是否是从搜索页面进的1代表是
		switch (type) {
			case 1:
				mui.openWindow('noticeDetails.html');
				break;
			case 2:
				mui.openWindow('../Leave/details.html');
				break;
			case 3:
				mui.openWindow('../repair/details.html');
				break;
			case 4:
				mui.openWindow('../travel/details.html');
				break
			case 5:
				mui.openWindow('../ladderRoom/details.html')
		}
	});
}